Mailinglist Archive: opensuse-factory (764 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20151030 released!
Changed packages:

==== Mesa ====
Version update (11.0.2 -> 11.0.4)
Subpackages: Mesa-32bit Mesa-devel Mesa-dri-devel Mesa-libEGL-devel
Mesa-libEGL1 Mesa-libEGL1-32bit Mesa-libGL-devel Mesa-libGL1 Mesa-libGL1-32bit
Mesa-libGLESv1_CM-devel Mesa-libGLESv1_CM1 Mesa-libGLESv2-2
Mesa-libGLESv2-devel Mesa-libglapi-devel Mesa-libglapi0 Mesa-libglapi0-32bit
libOSMesa-devel libOSMesa9 libOSMesa9-32bit libgbm-devel libgbm1 libgbm1-32bit
libvdpau_nouveau libvdpau_r300 libvdpau_r600 libvdpau_radeonsi
libwayland-egl-devel libwayland-egl1 libxatracker2

- update to 11.0.4
* bug fix release which fixes bugs found since the 11.0.3 release
* droped patches - merged by upstream:
U_gallium-add-PIPE_SHADER_CAP_MAX_UNROLL_ITERATIONS_HI.patch
U_i965-Remove-early-release-of-DRI2-miptree.patch
- U_gallium-add-PIPE_SHADER_CAP_MAX_UNROLL_ITERATIONS_HI.patch
* This avoids a serious r600g bug leading to a GPU hang (bnc#951298)
- Update to 11.0.3
* bug fix release which fixes bugs found since the 11.0.2 release

==== MozillaFirefox ====
Version update (41.0.1 -> 41.0.2)
Subpackages: MozillaFirefox-translations-common

- update to Firefox 41.0.2 (bnc#950686)
* MFSA 2015-115/CVE-2015-7184 (bmo#1208339, bmo#1212669)
Cross-origin restriction bypass using Fetch
- added explicit appdata provides (bnc#949983)

==== MozillaFirefox-branding-openSUSE ====

- change homepage to https://www.opensuse.org/searchPage/
(boo#950948, boo#950949)

==== PackageKit-branding-openSUSE ====
Version update (13.2 -> 42.1)

- Bump version to 42.1 for next version of openSUSE.

==== libaa1 ====

- aavga.dif: add -fno-stack-protector to shared aavga.so object build

==== abcde ====
Version update (2.6 -> 2.7.1)

- Update to version 2.7.1
* Rebuild of the abcde Makefile.
http://abcde.einval.com/bugzilla/show_bug.cgi?id=4
* Fix incorrect use of 'break'.
http://abcde.einval.com/bugzilla/show_bug.cgi?id=6
* Make older versions of id3 happy when 'Genre' field is empty.
http://abcde.einval.com/bugzilla/show_bug.cgi?id=8
* Add YEAR and GENRE variables to do_getalbumart().
http://abcde.einval.com/bugzilla/show_bug.cgi?id=9
* Support added for encoding to True Audio using tta while still
supporting the older ttaenc. Tagging is with mid3v2.
* Support added for encoding to MPEG-1 Audio Layer II (mp2)
with either twolame or FFmpeg / avconv. Tagging with mid3v2.
* Encoding to WavPack with FFmpeg. Some slight changes to WavPack
syntax with backward compatibility built in for abcde 2.7.
* Encoding to m4a container with FFmpeg or avconv. This allows
for alac encoding with FFmpeg's reverse engineered alac encoder.
* AAC encoding with fhgaacenc via Wine. Tagging is provided
by AtomicParsley which has been added back to abcde :). This
allows encoding with HE-AAC v2, unavailable with qaac.
* Support added for AAC encoding with qaac via Wine. This
also allows for Apple Lossless Audio Coding (alac) using
either qaac or refalac. This closes Issue 142.
* Grab year information too when using musicbrainz.
http://abcde.einval.com/bugzilla/show_bug.cgi?id=10
- Changes from version 2.7
* Rewrite of abcde's mungefilename function.
This closes Issues 72 and 135.
* TRACKTOTAL now written to flac and ogg files.
This resolves Issue 76.
* Support added for the downloading of album art.
Detailed documentation added to the abcde FAQ document
although the sane defaults in place will guarantee a good
experience even for those who do not read documentation!
This closes Issue 33.
* Support added for ripping with the GNU Compact Disc
Input and Control library (libcdio) as requested by
both gentoo and NixOS. The utility used is cd-paranoia
and can best be called from a conf file as follows:
CDROMREADERSYNTAX=libcdio
CD_PARANOIA=cd-paranoia
CDPARANOIAOPTS="--never-skip=40 --verbose"
with the CD_PARANOIA variable giving the correct path
to cd-paranoia.
* Fix for encoding with bladeenc and usepipes.
* Fix for broken ripping with dagrab. Closes Issue 140.
* Fix for diskutil selecting wrong disk on OS X.
closes Issue 139.
* Added some error checking and documentation for
the abcde-musicbrainz-tool. Closes issue 138.
* New variables for m4a/aac encoding options to be
manipulated in a users ~/.abcde.conf file:
1. FAACENCOPTS for faac encoding options
2. NEROAACENCOPTS for neroAacEnc options
3. FDKAACENCOPTS for fdkaacenc options
Note that these options replace the now obsolete AACENCOPTS.
* Check added for neroAacTag when encoding with neroAacEnc.
* Several additions to usepipes with the following encoders
being added:
1. mp3enc: mp3
2. speexenc: Speex
3. mpcenc: Musepack SV8
4. wavpack: WavPack
5. faac: aac
6. neroAacEnc: aac
7. fdkaac: aac
The cd ripper cdda2wav (icedax) has also been added.
* Ripping and encoding with 'usepipes' fixed. This fix
closes Issue 46.
* Suggested encoding options for mp3enc added to the sample
abcde.conf. Last release of mp3enc in 1998 but it still
works flawlessly with a modern abcde!
* Suggested encoding options for l3enc added to the sample
abcde.conf. Congratulations to abcde which in 2015 still
works with l3enc which saw its final release in 1997!
* Fix for -o option use with options and multiple outputs.
This allows for commandline options such as the following:
abcde -o 'flac:-8,mp3:-b 320'
This closes Issue 136.
* Support added for ReplayGain with WavPack encoding.
* Fix for MusePack to allow the use of the SV8 ReplayGain
application 'mpcgain'.
* Monkey's Audio (ape) encoding added. Tagging is with
Robert Muth's apetag.
* Simplify Opus tagging.This closes Issue 133.
* Allow 'clean' when OUTPUTTYPE=wav, broken for some time.
This closes Issue 94.
* Clarification that CDDBLOCALRECURSIVE=y is required for
local CDDB search. This partially resolves Issue 121.
* AtomicParsley removed from debian/control, WavPack added.
* Details of abcde's handling of faac compiled with and
without mp4v2 added as a new entry to FAQs.
* Fix to allow display of the 'date' meta tag generated
by eyeD3 in vlc, Audacious and friends.
This closes Issue 126.
* Fix for flac floating point error. closes Issue 113.
* Formalised 3 methods of mp3 tagging using ID3TAGV:
1.id3v2.4 using eyeD3 (set in abcde as the default)
2.id3v2.3 using id3v2
3.id3v1 using id3
Fixes issue 101.
* Support for WavPack added. Closes issue 123.
* Fix for mp3 encoding with different versions of eyeD3.
* Major AAC encoding cleanup, including addition of the fdkaac encoder.
- Update patch abcde_2.6-quote.patch > abcde-quote.patch

==== aisleriot ====
Version update (3.18.0 -> 3.18.1)
Subpackages: aisleriot-themes

- Update to version 3.18.1:
+ Updated translations.

==== apache2 ====
Version update (2.4.16 -> 2.4.17)
Subpackages: apache2-devel apache2-doc apache2-example-pages apache2-prefork
apache2-utils

- Update to 2.4.17
- Enable mod_http2/ BuildRequire nghttp2
- MPMs: Support SO_REUSEPORT to create multiple duplicated listener
records for scalability
- mod_ssl: Support compilation against libssl built with OPENSSL_NO_SSL3
- For more changes see: http://www.apache.org/dist/httpd/CHANGES_2.4.17

==== at-spi2-atk-common ====
Version update (2.18.0 -> 2.18.1)
Subpackages: at-spi2-atk-devel at-spi2-atk-gtk2 libatk-bridge-2_0-0

- Update to version 2.18.1:
+ Fix text, value, and table cell adaptors (bgo#755724).
+ Test fixes.

==== at-spi2-core ====
Version update (2.18.0 -> 2.18.1)
Subpackages: at-spi2-core-devel libatspi0 typelib-1_0-Atspi-2_0

- Update to version 2.18.1:
+ Don't crash if we get a children-changed event with a
non-existent child (bgo#755951).
+ atspi_hyperlink_get_index_range: don't return random values if
the call fails (bgo#755727).
+ Fixed some atspi_text_ functions (bgo#755731).

==== audacity ====
Subpackages: audacity-lang

- Fix audacity-flac_assert.h.patch up a little.
- Build with ffmpeg support in openSUSE Leap 42.1 and newer.

==== audiofile-devel ====
Subpackages: libaudiofile1

- Fix overflow when changing both number of channels and sample
format (bsc#949399, CVE-2015-7747,
audiofile-CVE-2015-7747.patch).

==== autoyast2 ====
Version update (3.1.98 -> 3.1.100)
Subpackages: autoyast2-installation

- Ingore restarting of all wickedd* services while finishing the
second installation stage. (bnc#944349)
- 3.1.100
- Cloning system while an installation without AutoYaST: Do not
blame if packages are not available anymore because the
medium has already been unmounted (e.g. USB device)
(bnc#901747)
- 3.1.99

==== avahi ====
Subpackages: avahi-autoipd avahi-compat-mDNSResponder-devel libavahi-client3
libavahi-client3-32bit libavahi-common3 libavahi-common3-32bit libavahi-core7
libavahi-devel libdns_sd

- Temp disable 2 old Conflicts that are breaking staging. These can
back in once there is a new release of avahi.
- Add avahi-0.6.31-invalid-packet.patch: do not spam logs for
invalid packets (boo#947140 bsc#948277).

==== baobab ====
Version update (3.18.0 -> 3.18.1)

- Update to version 3.18.1:
+ Remove scan-remote action.
+ Updated translations.

==== bash ====
Subpackages: bash-doc libreadline6 readline-devel readline-doc

- Define the USE_MKTEMP and USE_MKSTEMP cpp macros as the
implementation is already there.
- Add patch bash-4.3-pathtemp.patch to allow root to clear the
file systems. Otherwise the completion does not work if /tmp
if full (ENOSPC for here documents)
- Remove --hash-size options as there is no any change in the final
binary nor library anymore

==== bijiben ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gnome-shell-search-provider-bijiben

- Update to version 3.18.1:
+ Updated translations.

==== caribou ====
Version update (0.4.18.1 -> 0.4.19)
Subpackages: caribou-common caribou-gtk-module-common caribou-gtk2-module
caribou-gtk3-module libcaribou0 typelib-1_0-Caribou-1_0

- Update to version 0.4.19:
+ xadapter: Avoid a crash when Xkl doesn't know the real xkb
groups (bgo#756194).

==== catdoc ====

- Respect cflags:
* catdoc-cflags.patch
- Do not install TODO solves issue with wrong line encoding

==== cheese ====
Version update (3.18.0 -> 3.18.1)
Subpackages: libcheese-common libcheese-gtk25 libcheese8

- Update to version 3.18.1:
+ Fix resizing and scaling of video preview. Allow the preview to
expand, and set a reasonable minimum height and width.
+ Set a minimum effect actor size. This allows the effects
previews to expand with the size of the window.
+ Replace some stray references to ClutterTexture. Fix rendering
into effects previews, although the size of the previews is
still incorrect (bgo#755084).
+ Updated translations.

==== clutter-devel ====
Version update (1.24.0 -> 1.24.2)
Subpackages: libclutter-1_0-0 typelib-1_0-Clutter-1_0

- Update to version 1.24.2:
+ Emulate discrete scrolling on evdev.
+ Improve animation smoothness under the GDK backend.
+ Bugs fixed: bgo#755357, bgo#745517, bgo#756284.
+ Updated translations.

==== clutter-gst-devel ====
Version update (3.0.12 -> 3.0.14)
Subpackages: gstreamer-plugin-gstclutter-3_0 libclutter-gst-3_0-0
typelib-1_0-ClutterGst-3_0

- Update to version 3.0.14:
+ Fix rendering issue with non power of 2 video frame sizes.
+ Reduce color conversion shader's size.
+ Fix crash with vaapi plugins when frame upload fails.

==== clutter-gtk-devel ====
Version update (1.6.4 -> 1.6.6)
Subpackages: libclutter-gtk-1_0-0 typelib-1_0-GtkClutter-1_0

- Update to version 1.6.6:
+ Fix the build of the API reference so it's usable in DevHelp.
+ Add missing symbol indices to the API reference.
- Replace pkgconfig(clutter-x11-1.0) for pkgconfig(clutter-1.0)
BuildRequires: This is what configure really looks for now.

==== curl ====
Version update (7.44.0 -> 7.45.0)
Subpackages: libcurl-devel libcurl4

- revert the curl-config change for bsc#900419 until we have a better
fix, because it was breaking builds of other packages
- Enable HTTP/2 support, buildrequires pkgconfig(libnghttp2)
- Update to 7.45.0
* added CURLOPT_DEFAULT_PROTOCOL
* added new tool option --proto-default
* getinfo: added CURLINFO_ACTIVESOCKET
* turned CURLINFO_* option docs as stand-alone man pages
* curl: point out unnecessary uses of -X in verbose mode
- Drop curl-disable_failing_tests.patch as it is now part of
upstream
- drop a hack that made curl-config print only -lcurl (bsc#900419)
* --as-needed is used by default now

==== devhelp ====
Version update (3.18.0 -> 3.18.1)
Subpackages: devhelp-lang gedit-plugin-devhelp vim-plugin-devhelp

- Update to version 3.18.1:
+ Updated translations.

==== dolphin ====
Subpackages: dolphin-part libdolphinvcs5

- Install dolphinsu.desktop as org.kde.dolphinsu.desktop to prevent
it being overridden by an old KDE4 entry in ~/.local/share/applications/
- Fix dolphinsu.desktop: the KF5 based dolphin doesn't support
"-caption" any more (boo#950907)

==== libdotconf0 ====

- Use url for source
- Move documentation to devel package
- Cleanup spec file with spec-cleaner

==== dracut ====

- Always install dm-snaphost module if lvm dracut module is needed,
even if dm-snampshot is not loaded on the host yet (bsc#947518)
A 0128-90lvm-Install-dm-snapshot-module.patch

==== drbd ====
Subpackages: drbd-kmp-default drbd-kmp-xen

- BSC#950477, support new bio struct in kernel4.3
- Add new-bio-struct.patch

==== ekiga ====
Subpackages: ekiga-lang ekiga-plugins-evolution

- Add missing dependency over gnome-icon-theme which caused ekiga
to not have any icons on kde
- Sort out a bit with spec-cleaner
- Version provides/obsoletes to avoid pointless warning

==== empathy ====
Version update (3.12.10 -> 3.12.11)
Subpackages: telepathy-mission-control-plugin-goa

- Update to version 3.12.11:
+ Fix opening contact list after launching empathy -h
(bgo#729282).
+ Leak fixes for telepathy-accounts-widgets (bgo#752938).
+ Don't hard code the name of the pkg-config binary
(bgo#755707).
+ Call the finish method only once (bgo#756165).
+ Updated translations.

==== epiphany-branding-openSUSE ====
Version update (13.2 -> 42.1)

- Bump version to 42.1, to prepare for next version of openSUSE.

==== evince ====
Version update (3.18.0 -> 3.18.1)
Subpackages: evince-browser-plugin evince-plugin-comicsdocument
evince-plugin-djvudocument evince-plugin-dvidocument evince-plugin-pdfdocument
evince-plugin-psdocument evince-plugin-tiffdocument evince-plugin-xpsdocument
libevdocument3-4 libevview3-3 nautilus-evince typelib-1_0-EvinceDocument-3_0
typelib-1_0-EvinceView-3_0

- Update to version 3.18.1:
+ Fix performance regression with recent versions of GTK+ when
getting colors from GtkStyleContext for a different state
(bgo#755442).
+ Fix a crash in PDF backend when opening documents containing
screen annotations with no actions (bgo#756572).
+ Ignore right clicks while adding new annotations (bgo#755619).
+ Escape bookmark titles to be correctly rendered when they
contain characters like & (bgo#663019).
+ Fix handling of multiple files provided as command line
arguments (bgo#755796).
+ Show error messages also in recent view mode (bgo#755064).
+ Do not crash when the rendering or thumbnail jobs fail
(bgo#744049).
+ Updated translations.

==== evolution ====
Version update (3.18.0 -> 3.18.1)
Subpackages: evolution-plugin-bogofilter evolution-plugin-spamassassin

- Update to version 3.18.1:
+ Use set date/time format in Tasks/Memos previews.
+ Add also evolution-mail-formatter into Libs of
evolution-mail.pc.
+ Fix translation of default:mm.
+ EHTMLEditorSelection:
- Selection start marker could be wrongly saved before the
quote character.
- Selection is wrongly restored when it is on the end of block.
- Blocks are wrongly wrapped around selection markers.
- Make sure we really wrap when ending a line.
- Font color can't be set.
- Current font color is discarded after modifying the font
size.
- Font formats are reported wrongly if the are nested FONT
elements.
- Build fix.
+ EHTMLEditorView:
- Only process the Heading elements in HTML mode.
- When merging siblings repeat until none is left.
- Improve the undo/redo in composer.
+ Bugs fixed: bgo#544813, bgo#677862, bgo#754693.
+ Updated translations.

==== evolution-data-server ====
Version update (3.18.0 -> 3.18.1)
Subpackages: evolution-data-server-devel libcamel-1_2-54 libebackend-1_2-10
libebook-1_2-16 libebook-contacts-1_2-2 libecal-1_2-19 libedata-book-1_2-25
libedata-cal-1_2-28 libedataserver-1_2-21 libedataserverui-1_2-1
typelib-1_0-EBook-1_2 typelib-1_0-EBookContacts-1_2 typelib-1_0-EDataServer-1_2

- Update to version 3.18.1:
+ [Weather calendar] Location/Unit changes not propagate until
re-open.
+ Correct runtime warnings from ubuntu-online-accounts module.
+ source_registry_server_process_file_monitor_event: Correct
possible runtime warning.
+ Fix a reference leak from e-webdav-discover.
+ Bugs fixed: bgo#754999, bgo#755412, bgo#755410, bgo#552425,
bgo#732931, bgo#748636, bgo#756172.
+ Updated translations.

==== evolution-ews ====
Version update (3.18.0 -> 3.18.1)
Subpackages: evolution-ews-lang libeews-1_2-0 libewsutils0

- Update to version 3.18.1:
+ Show only mail messages in mail folders.

==== fcitx ====
Subpackages: fcitx-branding-openSUSE fcitx-gtk2 fcitx-gtk3 fcitx-pinyin
fcitx-qt4 fcitx-table libfcitx-4_2_9

- Fix logging not to include the build path (boo#951602):
fcitx-use-basename-for-log.patch
- Several fixes and cleanup for starting fcitx on GNOME on Leap
(boo#947576,boo#942816)
* Remove the superfluous manual dbus-launch from xim script
* Use xdg autostart for GNOME, KDE, LXDE and XFCE;
fcitx-autostart script is also modified to check $INPUT_METHOD:
fcitx-autostart-check-INPUT_METHOD.patch
* Delay start of fcitx daemon a bit, too

==== file-roller ====
Subpackages: nautilus-file-roller

- Add patch: file-roller-extract-sparse-file.patch: Fix extraction
of sparse file (bsc#923449, bgo#747091).

==== four-in-a-row ====
Version update (3.18.0 -> 3.18.1)
Subpackages: four-in-a-row-lang

- Update to version 3.18.1:
+ Updated translations.

==== freeipmi ====
Version update (1.4.9 -> 1.4.10)

- Fix SLE10 and RHEL5 builds
- Update to 1.4.10
o In ipmi-oem, support Supermicro get-power-supply-status2.
o In ipmi-locate, fix probing issue on arm32 & 64.
o Handle several additional completion code error message in
libfreeipmi.
o Handle several error handling corner cases in ipmi-sensors.
o Support Intel E5 2600 V3 motherboard OEM SEL events.
o Fix several errors in ipmi-oem intelnm get-node-manager-statistics
output.
o Fix logic errors in ipmi-oem intelnm set-node-manager-policy.

==== ft2demos ====

- no longer conflict dtc, flattened device tree tools are named
to no longer clash with ft2demos binaries since dtc 1.4

==== gcin ====
Version update (2.8.3 -> 2.8.4)
Subpackages: gcin-gtk2-immodule gcin-gtk3-immodule gcin-qt4-immodule
gcin-qt5-immodule

- Add gcin-improve-build-with-pkgconfig.patch
+ Improve build with pkgconfig
+ Add Qt5Gui private headers at moc period
- Update gcin-fix-qt5-iid.patch
+ Use macro instead of string literal, better backward compatibility
for Qt5 < 5.5
- Add gcin-fix-qt5-iid.patch to fix the qt5 iid so that the qt5
applications can load the gcin immodule (boo#951750)
- Update to 2.8.4
+ Switch to appindicator by default
+ Changes: http://hyperrate.com/gcin-source/Changelog.html
- Drop upstreamed fixes
+ qt5gui-header-path-fix.patch
+ plasma5-dirty-fix.patch

==== gconf2-branding-openSUSE ====
Version update (13.2 -> 42.1)

- Bump version to 42.1, to prepare for next version of openSUSE.

==== gdm ====
Subpackages: gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Add gdm-session-emit-verification-complete-for-logins.patch: Fix
hang on login on when using Nvidia blob driver (bgo#754814).

==== gdm-branding-openSUSE ====
Version update (13.2 -> 42.1)

- Bump version to 42.1, to prepare for next version of openSUSE.

==== gedit ====
Version update (3.18.0 -> 3.18.1)
Subpackages: python3-gedit

- Update to version 3.18.1:
+ Make the Replace dialog resizable.
+ Various minor code improvements and bug fixes.
+ Updated translations.

==== gfxboot ====
Version update (4.5.9 -> 4.5.10)
Subpackages: gfxboot-devel

- update translations (bsc#950962)
- 4.5.10

==== git ====
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- Fix crash of gitk with --all option in non-English locales
(bsc#951153):
0001-gitk-Fix-crash-with-all-in-non-English-locales.patch
0002-gitk-Update-msgid-s-for-menu-items-with-accelerator.patch
0003-gitk-Add-accelerators-to-Japanese-locale.patch
0004-gitk-Add-accelerator-to-German-locale.patch

==== glib-networking ====
Version update (2.46.0 -> 2.46.1)

- Update to version 2.46.1:
+ Fixed a certificate chain validation problem that affected
Facebook in Epiphany (bgo#750457).

==== glib2-devel ====
Version update (2.46.0 -> 2.46.1)
Subpackages: glib2-tools libgio-2_0-0 libgio-2_0-0-32bit libglib-2_0-0
libglib-2_0-0-32bit libgmodule-2_0-0 libgmodule-2_0-0-32bit libgobject-2_0-0
libgobject-2_0-0-32bit libgthread-2_0-0 libgthread-2_0-0-32bit

- Add glib2-remove_fam_debug_print.patch: remove debug output
"II 1" from the fam monitor (boo#951221, bgo#756879).
- Update to version 2.46.1:
+ Remove system_header pragma (should fix lack of warnings with
things like g_return_if_fail).
+ Move GStrv typedef (and auto-cleanup) from libgobject to
libglib.
+ Fix order of trashing files to be closer to what is required in
the specification. Namely, trashinfo files are written first.
This should fix issues with the gvfs trash backend failing to
correctly read the info for recently trashed files (preventing
'restore').
+ Tweak mime logic to return text/plain on all empty files
instead of returning application/octet-stream. This includes
files that have extensions that imply that they may be other
types of files, which is a slight change of behaviour with
respect to old GLib versions.
+ Many win32 fixes.
+ Many docs fixes.
+ Bugs fixed: bgo#735754, bgo#743011, bgo#749161, bgo#751924,
bgo#752837, bgo#753310, bgo#755083, bgo#755351, bgo#755355,
bgo#755496, bgo#755795, bgo#756179, bgo#756251, bgo#756255.
+ Updated translations.

==== gio-branding-openSUSE ====
Version update (13.2 -> 42.1)

- Bump version to 42.1, to prepare for next version of openSUSE.

==== glibmm2-devel ====
Subpackages: libgiomm-2_4-1 libglibmm-2_4-1

- Add patch tags.

==== gnome-calculator ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gnome-shell-search-provider-gnome-calculator

- Update to version 3.18.1:
+ Updated translations.

==== gnome-control-center ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gnome-control-center-color gnome-control-center-user-faces

- Update to version 3.18.1:
+ Fix a crash when disabling Sharing.
+ Make section headings accessible in Universal Access, and
Region & Language.
+ Fix a warning about an unparented dialogue in the Printers
panel.
+ Updated translations.
- Add gnome-control-center-fix-desktop-file-trans.patch: Fix syntax
errors in gnome-sharing-panel.desktop translations.

==== gnome-version ====
Version update (3.18.0 -> 3.18.1)
Subpackages: libgnome-desktop-3-12 libgnome-desktop-3-devel
libgnome-desktop-3_0-common typelib-1_0-GnomeDesktop-3_0

- Update to version 3.18.1:
+ Drop unneeded includes.
+ gnome-rr: Fix turning off tiled monitors.
+ Updated translations.

==== gnome-disk-utility ====
Version update (3.18.0 -> 3.18.1)

- Update to version 3.18.1:
+ Add X-GNOME-Utilities category to desktop file.
+ Updated translations.

==== gnome-documents ====
Version update (3.18.0.1 -> 3.18.1)
Subpackages: gnome-documents_books-common gnome-shell-search-provider-documents

- Pass --disable-static and --enable-getting-started to configure,
build the getting started pdf.
- Because of the above, add inkscape and poppler-tools
BuildRequires, needed dependencies.
- Update to version 3.18.1:
+ Change to selection mode when pressing ctrl+a.
+ Don't hide navigation controls when hovering.
+ Don't invert the content of Books in night-mode.
+ Show a spinner while creating the first collection.
+ Fix the background of tagged entries.
+ Don't show an extra menu when the app menu is disabled.
+ Updated translations.

==== gnome-keyring ====
Version update (3.18.0 -> 3.18.2)
Subpackages: gnome-keyring-32bit gnome-keyring-pam gnome-keyring-pam-32bit
libgck-modules-gnome-keyring

- Add
gnome-keyring-dbus-handle-alias-paths-in-lookup_collection.patch:
Fix firefox passwordmanager coupled with non-default keyring,
also silence a bit of logspam (bgo756865).
- Update to version 3.18.2:
+ Fix regression in ported GDBus prompting (bgo#756032).
+ Other minor fixes.
- Update to version 3.18.1:
+ Fix regression initializing gnome-keyring-daemon (bgo#756059).
+ Fix regression racing for DBus name during startup
(bgo#756006).
+ Build and testing fixes (bgo#755873).
+ Updated translations.

==== gnome-klotski ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gnome-klotski-lang

- Update to version 3.18.1:
+ Print --version to stdout.
+ Updated translations.

==== gnome-maps ====
Version update (3.18.0.1 -> 3.18.1)

- Update to version 3.18.1:
+ Fix bugs in zooming to a location or contact.
+ Fix styling of dialog header buttons.
+ Updated translations.

==== gnome-menus-branding-openSUSE ====
Version update (13.2 -> 42.1)

- Bump version to 42.1, to prepare for next version of openSUSE.

==== gnome-mines ====
Version update (3.18.0 -> 3.18.1)

- Update to version 3.18.1:
+ Updated translations.

==== gnome-nibbles ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gnome-nibbles-lang

- Update to version 3.18.1:
+ Updated translations.

==== gnome-online-accounts ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gnome-online-accounts-devel libgoa-1_0-0 libgoa-backend-1_0-1
typelib-1_0-Goa-1_0

- Update to version 3.18.1:
+ owncloud: Doesn't work with non-standard ports (bgo#752736).
+ owncloud, exchange: Sanitize HTTP error messages (bgo#755168).
+ lastfm: Leak fixes (bgo#755315).
+ identity:
- Allow multiple simultaneous sign-in requests from one sender
(bgo#756394).
- Don't ever nullify identifier (bgo#756494).
+ Updated translations.

==== gnome-photos ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gnome-shell-search-provider-gnome-photos

- Update to version 3.18.1:
+ Bugs fixed: bgo#688566, bgo#725508, bgo#741593, bgo#755600,
bgo#756131, bgo#756221.

==== gnome-session ====
Version update (3.18.0 -> 3.18.1.2)
Subpackages: gnome-session-core gnome-session-default-session
gnome-session-wayland

- Update to version 3.18.1.2:
+ build-goo: generate shell script wrapper in different way
(bgo#756633).
- Update to version 3.18.1.1:
+ Fix typos in environment variable names.
- Update to version 3.18.1:
+ No longer stash environment in
$XDG_RUNTIME_DIR/gnome/environment.
+ Set SSH_AUTH_SOCK explicitly for wayland sessions.
+ Set LC environment variables up front, so g-s-d doesn't have to
do it and hand it back to us later.
+ Set IBus environment variables too.
+ Updated translations.

==== gnome-settings-daemon ====
Version update (3.18.0 -> 3.18.1)

- Add gnome-settings-daemon-dont-override-xim-presets.patch: Don't
override QT_IM_MODULE and XMODIFIERS if already set (boo#947576,
bgo#757013).
- Update to version 3.18.1:
+ Fix cursor-size changes being ignored.
+ Build fixes.
+ Updated translations.

==== gnome-shell ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gnome-shell-browser-plugin gnome-shell-calendar gnome-shell-wayland

- Update to version 3.18.1:
+ Fix screen freezes when a notification is pushed (bgo#755425).
+ Fix overzealous ellipsization in system status menu
(bgo#708472).
+ Hide app menu when disabled by setting (bgo#745919).
+ Fix lightbox effect when animations are disabled (bgo#755827).
+ Do not mark hotplug notifications as critical (bgo#657923).
+ Fix icons getting cut off in dash (bgo#745649).
+ Animate fullscreen/unfullscreen operations (bgo#707248).
+ Misc. bug fixes: bgo#748919, bgo#674799, bgo#754581.
+ Updated translations.

==== gnome-software ====
Version update (3.18.0 -> 3.18.2)
Subpackages: gnome-software-lang

- Update to version 3.18.2:
+ Fix a regression in 3.18.1 that could lead to the background
update monitor never finding any updates.
+ Fix an issue with getting package details for apps without
AppData.
+ Updated translations.
- Update to version 3.18.1:
+ Do not force the cache refresh and delete otherwise valid
packages.
+ Fix several potential crashes when navigating and when
installing.
+ Get the new application icon for local packages after
installation.
+ Improve cold start time by only parsing AppStream data once.
+ Make sure Characters and Disks show up in Utilities.
+ Only download the fwupd metadata signature once per day.
+ Show an empty space for no category results.
+ Show applications without AppData in the installed panel.
+ Updated translations.

==== gnome-sudoku ====
Version update (3.18.0 -> 3.18.1)

- Update to version 3.18.1:
+ Updated translations.

==== gnome-shell-search-provider-gnome-terminal ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gnome-terminal nautilus-extension-terminal

- Update to version 3.18.1:
+ notebook: Don't change show-tabs when going to empty notebook.
+ window:
- Exit early from screen-removed handler for now empty
notebook.
- Pass tab switching keys to the terminal for tabless windows.
+ profile: editor: Make colour buttons show their dialogue in
editor mode.
+ i18n: Fix and mark incorrectly translated string as fuzzy.
+ server: Use distinct exit code for gtk_init failure.
+ Updated translations.

==== gnome-user-docs ====
Version update (3.18.0 -> 3.18.1)

- Update to version 3.18.1:
+ Updates to GNOME Help.
+ Updates to System Admin Guide.
+ Updated translations.

==== gnome-shell-search-provider-gnome-weather ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gnome-weather

- Update to version 3.18.1:
+ Updated translations.

==== gnuchess ====
Version update (6.2.1 -> 6.2.2)

- gnuchess 6.2.2:
* More robust program exit concerning threads.
* Detailed error messages for bad FEN syntax.

==== gptfdisk ====
Version update (1.0.0 -> 1.0.1)

- Update to new upstream release 1.0.1
* new type codes
* bug fixes
* changes to the OS X build for OS X 10.11 ("El Capitan")

==== gsettings-desktop-schemas ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gsettings-desktop-schemas-devel

- Update to version 3.18.1:
+ Add instructions and scripts for building on Win32.
+ Updated translations.

==== gtk2-branding-openSUSE ====
Version update (13.2 -> 42.1)

- Bump version to 42.1, to prepare for next version of openSUSE.

==== gtk3-data ====
Version update (3.18.1 -> 3.18.2)
Subpackages: gtk3-devel gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-tools
libgtk-3-0 typelib-1_0-Gtk-3_0

- Update to version 3.18.2:
+ Bugs fixed: bgo#753371, bgo#755413, bgo#755791, bgo#755927,
bgo#755988, bgo#756042, bgo#756195, bgo#756338.
+ Updated translations.

==== gtk3-branding-openSUSE ====
Version update (13.2 -> 42.1)

- Bump version to 42.1, to prepare for next version of openSUSE.

==== glade-catalog-gtksourceview ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gtksourceview-devel libgtksourceview-3_0-1
typelib-1_0-GtkSource-3_0

- Update to version 3.18.1:
+ Misc bug fixes.
+ Updated translations.

==== gucharmap ====
Version update (3.18.0 -> 3.18.1)
Subpackages: gucharmap-devel libgucharmap_2_90-7 typelib-1_0-Gucharmap-2_90

- Update to version 3.18.1:
+ Updated translations.

==== gvfs ====
Version update (1.26.0 -> 1.26.1.1)
Subpackages: gvfs-backend-afc gvfs-backends gvfs-fuse

- Change patch-tags from PATCH-FEATURE-OPENSUSE to
PATCH-FEATURE-SLE, lets use the tag where they actually are
wanted.
- Rebase gvfs-nds.patch and gvfs-nvvfs.patch. Also run
autoreconf, since patches modify daemon/Makefile.am.
- Replace gnome-common for autoconf BuildRequires.
- Update to version 1.26.1.1:
+ file monitor: Fix crashes caused by invalid read.
- Update to version 1.26.1:
+ proxyvolumemonitor: Fix crashes when drives/volumes/mounts
caches are changed.
+ Add a corresponding systemd user service for every D-Bus
session service.
+ google: Report progress when copying and moving.
+ ftp: Return correct file info for absolute symlink paths.
+ sftp:
- Fix crashes when force unmount is proceeded.
- Fix crashes when data connection setup failed.
+ Several smaller bugfixes.
+ Updated translations.
- Disable gvfs-nds.patch & gvfs-nvvfs.patch: Needs rebase, also
disable gnome-common BuildRequires and stop passing NOCONFIGURE.

==== harfbuzz-devel ====
Version update (1.0.3 -> 1.0.6)
Subpackages: libharfbuzz-icu0 libharfbuzz0 libharfbuzz0-32bit

- Update to version 1.0.6:
+ Reduce max nesting level in OT lookups from 8 to 6.
+ Fix memory access issue in ot-font.
+ Revert default load-flags of fonts created using
hb_ft_font_create() back to FT_LOAD_DEFAULT|FT_LOAD_NO_HINTING.
This was changed in 1.0.5, but caused major issues, so revert.
- Changes from version 1.0.5:
+ Fix multiple memory access bugs discovered using libFuzzer.
+ Misc fixes.
+ New API:
- hb_font_set_parent().
- hb_ft_font_[sg]et_load_flags()
The default flags for fonts created using hb_ft_font_create()
has changed to default to FT_LOAD_DEFAULT now. Previously it
was defaulting to FT_LOAD_DFEAULT|FT_LOAD_NO_HINTING.
+ API changes:
- Fonts now default to units-per-EM as their scale, instead
of 0.
- hb_font_create_sub_font() does NOT make parent font immutable
anymore. hb_font_make_immutable() does.
- Update to version 1.0.4:
+ Fix minor out-of-bounds read error.

==== haveged ====
Subpackages: libhavege1

- haveged.service: reverted the dependency on systemd-journald.socket
for now, as it causes a dependency loop. bsc#949728 bsc#950857

==== hicolor-icon-theme ====

- Drop hicolor-scalable-sizes.patch: It breaks builder icons, and
default icons on desktops like MATE. It has never been taken
upstream, nor is any other distro using it, so lets align with
everyone else.

==== hicolor-icon-theme-branding-openSUSE ====
Version update (13.2 -> 42.1)

- Bump version to 42.1, to prepare for next version of openSUSE.

==== iagno ====
Version update (3.18.0 -> 3.18.1)

- Update to version 3.18.1:
+ Better error message.
+ Updated translations.

==== libicu-devel ====
Version update (55.1 -> 56.1)

- Update to new upstream release 56.1
* CLDR 28: For details of the many changes in CLDR, see CLDR 28.
* Unicode data updated to Unicode 8.0: 41 new emoji characters,
5,771 new ideographs for Chinese/Japanese/Korean, 6 new scripts,
improved character properties data, etc.
* ICU data size reduced by about 7.2% (1.8MB) via sharing string
values across resource bundles.
* DateIntervalFormat now handles intervals with seconds, and sets
FieldPosition more consistently.
* DateFormat::createInstanceForSkeleton() caches DateFormat
patterns rather than DateTimePatternGenerator instances, for
better performance (for cache hits) and lower heap memory
consumption.
* StringSearch (based on collation) defaults to matches on
normalization boundaries rather than grapheme cluster boundaries,
which yields more matches on Indic text.
* RuleBasedNumberFormat (spelled-out numbers) now handles
infinity, NaN.
* Most of the old Normalizer/unorm.h had been replaced by
(and reimplemented via) Normalizer2, and is now deprecated.
* COLON has been withdrawn as a date pattern character
corresponding to the date field [UDAT_]TIME_SEPARATOR_FIELD;
there is currently no pattern character corresponding to that
field.
* Support for locale key "cf" to specify currency format style,
and interaction with NumberFormat values for UNumberFormatStyle.
- Drop icu-remove-datetime.patch (merged upstream)

==== install-initrd-openSUSE ====
Version update (14.200 -> 14.204)

- use plymouth-theme-tribar also for openSUSE
- include IBM1047.so (bsc#951953)
- 14.204
- adjust sle product name to sle12-sp1 (bsc#951244)
- 14.203
- tell udevd not to set mount flags (bsc#937237)
- 14.202
- set the default repo location based of the products file (bsc#904755)
- 14.201

==== java-1_8_0-openjdk ====
Version update (1.8.0.60 -> 1.8.0.65)
Subpackages: java-1_8_0-openjdk-devel java-1_8_0-openjdk-headless

- Upgrade to upstream tag jdk8u65-b17
* Security fix release of October 21, 2015 (bsc#951376)
- Security issues fixed:
* CVE-2015-4734: A remote user can exploit a flaw in the Embedded
JGSS component to partially access data
* CVE-2015-4803: A remote user can exploit a flaw in the JRockit
JAXP component to cause partial denial of service conditions
* CVE-2015-4805: A remote user can exploit a flaw in the Embedded
Serialization component to gain elevated privileges
* CVE-2015-4806: A remote user can exploit a flaw in the Java SE
Embedded Libraries component to partially access and partially
modify data
* CVE-2015-4835: A remote user can exploit a flaw in the Embedded
CORBA component to gain elevated privileges
* CVE-2015-4842: A remote user can exploit a flaw in the Embedded
JAXP component to partially access data
* CVE-2015-4843: A remote user can exploit a flaw in the Java SE
Embedded Libraries component to gain elevated privileges
* CVE-2015-4844: A remote user can exploit a flaw in the Embedded
2D component to gain elevated privileges
* CVE-2015-4860: A remote user can exploit a flaw in the Embedded
RMI component to gain elevated privileges
* CVE-2015-4872: A remote user can exploit a flaw in the JRockit
Security component to partially modify data [].
* CVE-2015-4881: A remote user can exploit a flaw in the Embedded
CORBA component to gain elevated privileges
* CVE-2015-4882: A remote user can exploit a flaw in the Embedded
CORBA component to cause partial denial of service conditions
* CVE-2015-4883: A remote user can exploit a flaw in the Embedded
RMI component to gain elevated privileges
* CVE-2015-4893: A remote user can exploit a flaw in the JRockit
JAXP component to cause partial denial of service conditions
* CVE-2015-4902: A remote user can exploit a flaw in the Java SE
Deployment component to partially modify data
* CVE-2015-4903: A remote user can exploit a flaw in the Embedded
RMI component to partially access data
* CVE-2015-4911: A remote user can exploit a flaw in the JRockit
JAXP component to cause partial denial of service conditions
* CVE-2015-4810: A local user can exploit a flaw in the Java SE
Deployment component to gain elevated privileges
* CVE-2015-4840: A remote user can exploit a flaw in the Embedded
2D component to partially access data
* CVE-2015-4868: A remote user can exploit a flaw in the Java SE
Embedded Libraries component to gain elevated privileges
* CVE-2015-4901: A remote user can exploit a flaw in the JavaFX
component to gain elevated privileges
* CVE-2015-4906: A remote user can exploit a flaw in the JavaFX
component to partially access data
* CVE-2015-4908: A remote user can exploit a flaw in the JavaFX
component to partially access data
* CVE-2015-4916: A remote user can exploit a flaw in the JavaFX
component to partially access data
- Modified patch:
* s390-size_t.patch
- Account for an additional uintptr_t <-> size_t mismatch

==== kf5-kcm-fcitx ====
Subpackages: kf5-kcm-fcitx-icons

- Work around a crash at clicking "Only Show Current Language"
(boo#951609):
kcm-fcitx-workaround-for-invalid-langcode.patch

==== kcm_sddm ====

- Add set-default-session-to-plasma5-for-autologin.patch: set the
default autologin session to plasma5.desktop (boo#951886)

==== kdebase4-libkonq ====
Subpackages: kdebase4-nsplugin kdepasswd kdialog keditbookmarks konqueror
konqueror-plugins libkonq-devel libkonq5

- Drop skip-dolphin4-build.patch: reenable dolphin build, it is
required for Konqueror's filemanagement part and also things like
FTP and SMB. It's shipped in the new dolphin4 package to not
conflict with the KF5 based dolphin.
- Re-add dolphin-go_up.diff: adds a "go up" button to dolphin's
default toolbar.

==== kdesdk4-scripts ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kdevelop4 ====
Subpackages: kdevelop4-devel kdevelop4-lang kdevelop4-plugin-cppsupport

- Modified BuildRequires to allow kdevelop4 to build in SLE12

==== kdevelop4-plugins-php ====

- Modified BuildRequires to allow kdevelop4-plugins to build in SLE12

==== kfilereplace ====
Version update (15.08.1 -> 15.08.2)
Subpackages: kimagemapeditor klinkstatus

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kdf ====
Version update (15.08.1 -> 15.08.2)
Subpackages: kwikdisk

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kdiamond ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kernel-default ====
Version update (4.2.3 -> 4.2.4)
Subpackages: kernel-default-devel

- Refresh patches.xen/xen3-fixup-xen.
Use the origin/master approach.
- commit 6ae5577
- Linux 4.2.4 (bsc#943982).
- Refresh patches.xen/xen3-fixup-xen.
- Delete
patches.drivers/ALSA-hda-Disable-power_save_node-for-Thinkpads.
- Delete
patches.fixes/leds-lp55xx-Correct-Kconfig-dependency-for-f-w-user-.
- commit 6239f7d
- config: arm: Enable CONFIG_PPS_CLIENT_GPIO
Set CONFIG_PPS_CLIENT_GPIO=m for all ARM configs to be able to use GPS
with PPS line connected to a GPIO, as a high-precision time reference.
- commit 29faced
- Disable CONFIG_RT_GROUP_SCHED (boo#950955)
Even people originally demanded suggest to drop it now...
- commit c229932
- ALSA: hda - Fix deadlock at error in building PCM (bsc#948758).
- commit e5082ca
- config: armv6hl: Update and re-enable default and vanilla configs
Update and re-enable default and vanilla configs.
[AF: Made FW_LOADER_USER_HELPER_FALLBACK consistent]
- commit 549889b
- rtlwifi: rtl8821ae: Fix system lockups on boot (boo#944978).
- commit 9c478b9

==== kernel-docs ====
Version update (4.2.3 -> 4.2.4)

- Refresh patches.xen/xen3-fixup-xen.
Use the origin/master approach.
- commit 6ae5577
- Linux 4.2.4 (bsc#943982).
- Refresh patches.xen/xen3-fixup-xen.
- Delete
patches.drivers/ALSA-hda-Disable-power_save_node-for-Thinkpads.
- Delete
patches.fixes/leds-lp55xx-Correct-Kconfig-dependency-for-f-w-user-.
- commit 6239f7d
- config: arm: Enable CONFIG_PPS_CLIENT_GPIO
Set CONFIG_PPS_CLIENT_GPIO=m for all ARM configs to be able to use GPS
with PPS line connected to a GPIO, as a high-precision time reference.
- commit 29faced
- Disable CONFIG_RT_GROUP_SCHED (boo#950955)
Even people originally demanded suggest to drop it now...
- commit c229932
- ALSA: hda - Fix deadlock at error in building PCM (bsc#948758).
- commit e5082ca
- config: armv6hl: Update and re-enable default and vanilla configs
Update and re-enable default and vanilla configs.
[AF: Made FW_LOADER_USER_HELPER_FALLBACK consistent]
- commit 549889b
- rtlwifi: rtl8821ae: Fix system lockups on boot (boo#944978).
- commit 9c478b9

==== kernel-firmware ====
Subpackages: ucode-amd

- Update Skylake DMC firmware to 1.23 (boo#952134)

==== kernel-pv-devel ====
Version update (4.2.3 -> 4.2.4)

- Refresh patches.xen/xen3-fixup-xen.
Use the origin/master approach.
- commit 6ae5577
- Linux 4.2.4 (bsc#943982).
- Refresh patches.xen/xen3-fixup-xen.
- Delete
patches.drivers/ALSA-hda-Disable-power_save_node-for-Thinkpads.
- Delete
patches.fixes/leds-lp55xx-Correct-Kconfig-dependency-for-f-w-user-.
- commit 6239f7d
- config: arm: Enable CONFIG_PPS_CLIENT_GPIO
Set CONFIG_PPS_CLIENT_GPIO=m for all ARM configs to be able to use GPS
with PPS line connected to a GPIO, as a high-precision time reference.
- commit 29faced
- Disable CONFIG_RT_GROUP_SCHED (boo#950955)
Even people originally demanded suggest to drop it now...
- commit c229932
- ALSA: hda - Fix deadlock at error in building PCM (bsc#948758).
- commit e5082ca
- config: armv6hl: Update and re-enable default and vanilla configs
Update and re-enable default and vanilla configs.
[AF: Made FW_LOADER_USER_HELPER_FALLBACK consistent]
- commit 549889b
- rtlwifi: rtl8821ae: Fix system lockups on boot (boo#944978).
- commit 9c478b9

==== kernel-devel ====
Version update (4.2.3 -> 4.2.4)
Subpackages: kernel-macros kernel-source

- Refresh patches.xen/xen3-fixup-xen.
Use the origin/master approach.
- commit 6ae5577
- Linux 4.2.4 (bsc#943982).
- Refresh patches.xen/xen3-fixup-xen.
- Delete
patches.drivers/ALSA-hda-Disable-power_save_node-for-Thinkpads.
- Delete
patches.fixes/leds-lp55xx-Correct-Kconfig-dependency-for-f-w-user-.
- commit 6239f7d
- config: arm: Enable CONFIG_PPS_CLIENT_GPIO
Set CONFIG_PPS_CLIENT_GPIO=m for all ARM configs to be able to use GPS
with PPS line connected to a GPIO, as a high-precision time reference.
- commit 29faced
- Disable CONFIG_RT_GROUP_SCHED (boo#950955)
Even people originally demanded suggest to drop it now...
- commit c229932
- ALSA: hda - Fix deadlock at error in building PCM (bsc#948758).
- commit e5082ca
- config: armv6hl: Update and re-enable default and vanilla configs
Update and re-enable default and vanilla configs.
[AF: Made FW_LOADER_USER_HELPER_FALLBACK consistent]
- commit 549889b
- rtlwifi: rtl8821ae: Fix system lockups on boot (boo#944978).
- commit 9c478b9

==== kernel-syms ====
Version update (4.2.3 -> 4.2.4)

- Refresh patches.xen/xen3-fixup-xen.
Use the origin/master approach.
- commit 6ae5577
- Linux 4.2.4 (bsc#943982).
- Refresh patches.xen/xen3-fixup-xen.
- Delete
patches.drivers/ALSA-hda-Disable-power_save_node-for-Thinkpads.
- Delete
patches.fixes/leds-lp55xx-Correct-Kconfig-dependency-for-f-w-user-.
- commit 6239f7d
- config: arm: Enable CONFIG_PPS_CLIENT_GPIO
Set CONFIG_PPS_CLIENT_GPIO=m for all ARM configs to be able to use GPS
with PPS line connected to a GPIO, as a high-precision time reference.
- commit 29faced
- Disable CONFIG_RT_GROUP_SCHED (boo#950955)
Even people originally demanded suggest to drop it now...
- commit c229932
- ALSA: hda - Fix deadlock at error in building PCM (bsc#948758).
- commit e5082ca
- config: armv6hl: Update and re-enable default and vanilla configs
Update and re-enable default and vanilla configs.
[AF: Made FW_LOADER_USER_HELPER_FALLBACK consistent]
- commit 549889b
- rtlwifi: rtl8821ae: Fix system lockups on boot (boo#944978).
- commit 9c478b9

==== kernel-xen ====
Version update (4.2.3 -> 4.2.4)
Subpackages: kernel-xen-devel

- Refresh patches.xen/xen3-fixup-xen.
Use the origin/master approach.
- commit 6ae5577
- Linux 4.2.4 (bsc#943982).
- Refresh patches.xen/xen3-fixup-xen.
- Delete
patches.drivers/ALSA-hda-Disable-power_save_node-for-Thinkpads.
- Delete
patches.fixes/leds-lp55xx-Correct-Kconfig-dependency-for-f-w-user-.
- commit 6239f7d
- config: arm: Enable CONFIG_PPS_CLIENT_GPIO
Set CONFIG_PPS_CLIENT_GPIO=m for all ARM configs to be able to use GPS
with PPS line connected to a GPIO, as a high-precision time reference.
- commit 29faced
- Disable CONFIG_RT_GROUP_SCHED (boo#950955)
Even people originally demanded suggest to drop it now...
- commit c229932
- ALSA: hda - Fix deadlock at error in building PCM (bsc#948758).
- commit e5082ca
- config: armv6hl: Update and re-enable default and vanilla configs
Update and re-enable default and vanilla configs.
[AF: Made FW_LOADER_USER_HELPER_FALLBACK consistent]
- commit 549889b
- rtlwifi: rtl8821ae: Fix system lockups on boot (boo#944978).
- commit 9c478b9

==== kfloppy ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kgeography ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kgoldrunner ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== khangman ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kig ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kio_mtp ====

- Delete android-tools from requirements list, libmtp contains udev
rules.

==== kiriki ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== fonts-KanjiStrokeOrders ====
Version update (15.08.1 -> 15.08.2)
Subpackages: kiten

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kiwi ====
Version update (7.03.24 -> 7.03.34)
Subpackages: kiwi-desc-isoboot kiwi-desc-netboot kiwi-desc-oemboot
kiwi-desc-vmxboot kiwi-doc kiwi-media-requires kiwi-pxeboot kiwi-templates
kiwi-tools

- v7.03.34 released
- Make check for running udev daemon more stable
- v7.03.33 released
- Fixed __checkRootDirOutsideImageDescription
The check failed in kiwi --create mode
- Fixed kernelcmdline setup for EFI live ISO images
EFI boot of live ISO images is handled via grub2, the configuration
was missing the information provided in the kernelcmdline attribute
- Cleanup validation of multipath and ataraid scan
Those two were the only ones which are matched against its
false value and not against its true value. Fixing this
inconsistency make it easier to read the code and applies
better to the next generation kiwi-horizon branch
- v7.03.32 released
- Set noudevsync only if udevd is not running
LVM commands support the --noudevsync option which should be
used only if udevd is not running (bnc#950735)
- v7.03.31 released
- actively relocate GPT backup data at end of disk
Instead of hanging around with parted and its inconsistent state
between different versions kiwi now actively moves the backup GPT
to the current end of the disk before starting the repartition
step based on parted. The tool to move the data is gdisk which
is now required for GPT images build with kiwi
- Add ramdisk device filter for leap JeOS
On Leap hwinfo reports ramdisk devices, thus the list of
disks to select for install in kiwi's install image contains
all ramdisk devices. For JeOS this is unwanted and we added
a filter rule to filter them out
- Translated using Weblate (English (United Kingdom))
Currently translated at 100.0% (28 of 28 strings)
- Translated using Weblate (Chinese (Taiwan))
Currently translated at 100.0% (28 of 28 strings)
- Translated using Weblate (Catalan)
Currently translated at 100.0% (28 of 28 strings)
- v7.03.30 released
- Added __checkRootDirOutsideImageDescription
It should be avoided to create a new root image tree inside of
the image description directory. This could lead to infinite loops
or unexpected behavior if e.g the new root directory is named 'root'
which conflicts with the image description overlay directory also
named 'root'
- v7.03.29 released
- v7.03.28 released
- Apply missing syntax fix
- Translated using Weblate (Catalan)
Currently translated at 100.0% (28 of 28 strings)
- Add SLE-12-SP1 plugin
using the new appstream handling for appdata
- Translated using Weblate (Polish)
Currently translated at 82.1% (23 of 28 strings)
- Translated using Weblate (Japanese)
Currently translated at 100.0% (28 of 28 strings)
- Translated using Weblate (Czech)
Currently translated at 96.4% (28 of 28 strings)
- Translated using Weblate (Czech)
Currently translated at 96.4% (27 of 28 strings)
- Translated using Weblate (Slovak)
Currently translated at 100.0% (28 of 28 strings)
- Translated using Weblate (Slovak)
Currently translated at 89.2% (25 of 28 strings)
- Translated using Weblate (Ukrainian)
Currently translated at 100.0% (28 of 28 strings)
- Translated using Weblate (Portuguese (Brazil))
Currently translated at 100.0% (28 of 28 strings)
- Translated using Weblate (Slovak)
Currently translated at 89.2% (25 of 28 strings)
- Update translations from LCN SVN trunk revision 93546.
- v7.03.27 released
- Support generic multipath lookup
Instead if limiting the support for multipath boot devices this is
now checked for all architectures which should also allow iSCSI
boot devices. (bnc#946387)
- Support multipath lookup for ZFCP devices on s390
The disk device the image was ipl'ed from might be configured to be
in a multipath stack. In this case it's required to use the mapped
device instead of one of the multipath targets directly. This is
related to (bnc#944017)
- Provide a startMultipathd method
Move the start of the multipath daemon from the oem boot code
specific identifyMultipath method to its own method in the
global space
- v7.03.26 released
- Update -requires matcher for SLE12 SP1
The macro %{suse_version} returns 1316 for SLE12 SP1, this must be
addressed in the spec file to let the internal -requires packages
contain the correct list for building images inside of the
buildservice (bsc#949046)
- Rename SLE JeOS descriptions
In order to avoid a naming conflict with the JeOS product we agreed
on renaming the SLE JeOS description in kiwi to contain the community
keyword to separate this descriptions from the SUSE JeOS product
This addresses (fate#319430)
- Fixed resetBootBind copy of boot data
Make sure to take hidden files into account
- Update suse-13.2-JeOS
There is no need to have kernel-debug in the delete section
actually the package is not installed
- fixed: RHEL 6 and CentOS 6 and derivatives using boot='vmxboot/rhel-06.0' or
similiar should be handled like SLE 11 not using a tmpfs on /run
- v7.03.25 released

==== kjumpingcube ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== klettres ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kmouth ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kmplot ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== knavalbattle ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== knetwalk ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kolf ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kollision ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kolourpaint ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== konquest ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kppp ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kremotecontrol ====
Version update (15.08.1 -> 15.08.2)
Subpackages: liblibkremotecontrol1

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ksaneplugin ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kscreen5 ====

- Added fix-crash-when-exiting-kscreen-kcm-in-systemsettings.patch
(kde#344651, boo#951933)

==== kservice ====
Subpackages: kservice-devel

- Add dont-show-yast-modules-in-the-applications-menu.patch: hide
the YaST modules from the application menu (boo#951888)

==== kshisen ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ksirk ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kspaceduel ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ksquares ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kstars ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ksystemlog ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kteatime ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktimer ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktouch ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktp-accounts-kcm ====
Version update (15.08.1 -> 15.08.2)
Subpackages: libktpaccountskcminternal9

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktp-approver ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktp-auth-handler ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktp-common-internals ====
Version update (15.08.1 -> 15.08.2)
Subpackages: ktp-icons

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktp-contact-list ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktp-contact-runner ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktp-desktop-applets ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktp-filetransfer-handler ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktp-kded-module ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktp-send-file ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktp-text-ui ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== ktuberling ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kturtle ====
Version update (15.08.1 -> 15.08.2)

- Add fix-exec-line.patch: fixes the .desktop file's Exec line so
that kturtle can actually be started from the application menu
- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kubrick ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== kwordquiz ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== libldb1 ====
Version update (1.1.21 -> 1.1.21.0)
Subpackages: libldb1-32bit

- Rename pyldb to python-ldb.

==== libaccounts-glib0 ====
Version update (1.17 -> 1.18)

- Update to 1.18:
* Python: Fix Accounts.Manager() constructor, which got broken
when version 1.17 was released.
- Fix license.
- Add baselibs.conf.

==== libaccounts-qt5-1 ====

- Add baselibs.conf: provide libaccounts-qt5-1-32bit, as required
by purpose-32bit (boo#949411).

==== libapr-util1 ====
Subpackages: libapr-util1-devel

- require postgresql-devel version at least 9.1.0 to fix build for
SLE-11-SP4

==== libgpod-devel ====
Subpackages: libgpod-tools libgpod4

- Added patch that prevents segfault when using newer iPod and iPhone (< iOS 5)
0002-323-Segmentation-fault-when-opening-ipod.patch
- Added patch that corrects few strings
0001-Fix-spelling-errors-in-comments-and-strings-using-co.patch
- Added patch that corrects compiling with newer libplist
0003-Fixed-PList-deprication.patch

==== libgweather-3-6 ====
Version update (3.18.0 -> 3.18.1)
Subpackages: libgweather-data libgweather-devel typelib-1_0-GWeather-3_0

- Update to version 3.18.1:
+ Build system fixes.
+ Updated translations.

==== libKF5KMahjongglib5 ====
Version update (15.08.1 -> 15.08.2)
Subpackages: libkmahjongg libkmahjongg-devel

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== libnet9 ====

- Add patch for bnc#949391:
* libnet-pf-packet.patch

==== libntlm0 ====

- run "make test"

==== libQt5Concurrent-devel ====
Subpackages: libQt5Concurrent5 libQt5Core-devel
libQt5Core-private-headers-devel libQt5Core5 libQt5DBus-devel libQt5DBus5
libQt5Gui-devel libQt5Gui-private-headers-devel libQt5Gui5 libQt5Network-devel
libQt5Network5 libQt5OpenGL-devel libQt5OpenGL5 libQt5PlatformHeaders-devel
libQt5PrintSupport-devel libQt5PrintSupport5 libQt5Sql-devel libQt5Sql5
libQt5Sql5-mysql libQt5Sql5-postgresql libQt5Sql5-sqlite libQt5Sql5-unixODBC
libQt5Test-devel libQt5Test5 libQt5Widgets-devel libQt5Widgets5 libQt5Xml-devel
libQt5Xml5 libqt5-qtbase-common-devel libqt5-qtbase-devel libqt5-qtbase-doc
libqt5-qtbase-platformtheme-gtk2

- Added
qtwidgets_do_not-hide_show_via_WA_OutsideWSRange_for_native_widgets.patch
(qtbug#48321)

==== libQt5WebKit5 ====
Subpackages: libQt5WebKit5-devel libQt5WebKit5-imports
libQt5WebKitWidgets-devel libQt5WebKitWidgets5

- _constraints adding ppc64le constraint of memory and disk space

==== libreoffice ====
Version update (5.0.1.2 -> 5.0.3.1)
Subpackages: libreoffice-base libreoffice-base-drivers-mysql
libreoffice-branding-upstream libreoffice-calc libreoffice-calc-extensions
libreoffice-draw libreoffice-filters-optional libreoffice-gnome
libreoffice-icon-theme-breeze libreoffice-icon-theme-galaxy
libreoffice-icon-theme-hicontrast libreoffice-icon-theme-oxygen
libreoffice-icon-theme-sifr libreoffice-icon-theme-tango libreoffice-impress
libreoffice-kde4 libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de
libreoffice-l10n-el libreoffice-l10n-en libreoffice-l10n-es libreoffice-l10n-fr
libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja libreoffice-l10n-pl
libreoffice-l10n-ru libreoffice-mailmerge libreoffice-math libreoffice-pyuno
libreoffice-writer libreoffice-writer-extensions

- Add patch to fix flaky test:
* use-long-for-test-comparsion.patch
- Remove upstream merged:
* bnc-939996.diff
- Fix bnc#939996 - LO-L3: Some bits from DOCX file are not imported
* bnc-939996.diff
- Fix bnc#889755 - LO-L3: PPTX: chart axis number format incorrect
* bnc-889755.diff
- bnc#679938 - LO-L3: saving to doc file the chapter name in the header does
not change with chapters
* bnc-679938.diff
- Add patch to disable flaky hsqldb test:
* disable-flaky-hsqldb-test.patch
- Version update to 5.0.3RC1 as it should fix i586 test failure
- Drop upstreamed patch:
* kde4filepicker.patch
- Update text2number extension to 1.5.0
- obsolete libreoffice-mono
- pentaho-flow-reporting require is conditional on system_libs
- Update icon theme dependencies
* https://lists.debian.org/debian-openoffice/2015/09/msg00343.html
- Version bump to 5.0.2 final fate#318856 fate#319071 bnc#943075
bnc#945692:
* Small tweaks compared to rc1
- For sake of completion this release also contains security fixes
for bnc#910806 CVE-2014-8147, bnc#907636 CVE-2014-9093
- Use gcc48 to build on sle11sp4
- Make debuginfo's smaller on IBS.
- Fix chrpath call after the libs got -lo suffixing
- Add patch to fix qt4 features detection:
* kde4filepicker.patch
- Split out gtk3 UI to separate subpkg that requires gnome subpkg
* This is to allow people to test gtk3 while it not being default
- Version update to 5.0.2 rc1:
* Various small tweaks and integration of our SLE11 patchsets

==== libsocialweb-branding-openSUSE ====
Version update (13.2 -> 42.1)

- Bump version to 42.1, to prepare for next version of openSUSE.

==== libsoup-2_4-1 ====
Version update (2.52.0 -> 2.52.1)
Subpackages: libsoup-devel typelib-1_0-Soup-2_4

- Update to version 2.52.1:
+ Fixed build under MinGW.
+ Fixed build with --disable-introspection (bgo#755389).
+ Fixed HTTP authentication protection space handling for files
directly under the root directory (bgo#755617).
+ Fixed a warning when loading data from SoupCache while using
an authenticated proxy (bgo#756076).
+ Updated translations.

==== libusb-1_0-0 ====
Subpackages: libusb-1_0-0-32bit libusb-1_0-devel

- Remove _smp_mflags usage to fix sporadic build errors

==== libzypp ====
Version update (15.19.1 -> 15.19.3)

- Update zypp-po.tar.bz2
- Update zypp-po.tar.bz2
- make Solvable::asUserString more readable (bnc#949957)
- version 15.19.3 (19)
- Update zypp-po.tar.bz2
- Update zypp-po.tar.bz2

==== lightdm-gtk-greeter ====
Version update (1.3.1 -> 2.0.1)
Subpackages: lightdm-gtk-greeter-lang

- Version bump to 2.0.1.
- drop patches:
lightdm-gtk-greeter-use-new-autologin-api.patch
lightdm-gtk-greeter-fix-cursor.patch
lightdm-gtk-greeter-fix-background.patch
lightdm-gtk-greeter-improve-background-scaling.patch
lightdm-gtk-greeter-fix-ui.patch
lightdm-gtk-greeter-fix-login.patch
lightdm-gtk-greeter-invalid-last_session.patch
lightdm-gtk-greeter-handle-invalid-user.patch

==== lightdm-gtk-greeter-branding-openSUSE ====
Version update (1.3 -> 2.0)

- Update for lightdm-gtk-greeter 2.0.1.
* The configuration file was modified to add the following
indicators:
- Host;
- Clock;
- Language selection menu;
- Keyboard selection menu;
- Session selection menu;
- Accessibility menu;
- Power menu.

==== libirrecord0 ====
Version update (0.9.3 -> 0.9.3a)
Subpackages: liblirc0 liblirc_client0 liblirc_driver0 lirc-devel

- Update to 0.9.3a
* Broken fix for kernel bug reverted (#148, #119). This makes
lirc incompatible with at least the 4.04 kernels. kernels
< 4.0 and > 4.1.6 seemingly works.
* Several irrecord fixes (#146, #139, d8826b, #141).
* Some fixes for poll() usage, one of which blocked irrecord
(02c2480, d9339b6).
* lib: Fix parsing of multiple files (#141).
* lib: Fix privilege dropping code and a compiler flag (e8be7ae,
8a08ab1)
* lirc-lsplugins: Fix --plugindir not being respected (#144).
* atilibusb: Fix crash for non-existing device (#145).
* plugins: file.c: Fix off-by-one sscanf error (#138).

==== lmdb-devel ====
Version update (0.9.14 -> 0.9.16)

- Update to 0.9.16:
* Fix cursor EOF bug (ITS#8190)
* Fix handling of subDB records (ITS#8181)
* Fix mdb_midl_shrink() usage (ITS#8200)
- Changes since 0.9.15:
* Fix txn init (ITS#7961,#7987)
* Fix MDB_PREV_DUP (ITS#7955,#7671)
* Fix compact of empty env (ITS#7956)
* Fix mdb_copy file mode
* Fix mdb_env_close() after failed mdb_env_open()
* Fix mdb_rebalance collapsing root (ITS#8062)
* Fix mdb_load with large values (ITS#8066)
* Fix to retry writes on EINTR (ITS#8106)
* Fix mdb_cursor_del on empty DB (ITS#8109)
* Fix MDB_INTEGERDUP key compare (ITS#8117)
* Fix error handling (ITS#7959,#8157,etc.)
* Fix race conditions (ITS#7969,7970)
* Added workaround for fdatasync bug in ext3fs
* Build:
* Don't use -fPIC for static lib
* Update .gitignore (ITS#7952,#7953)
* Cleanup for "make test" (ITS#7841), "make clean", mtest*.c
* Misc. Android/Windows cleanup
* Documentation
* Fix MDB_APPEND doc
* Fix MDB_MAXKEYSIZE doc (ITS#8156)
* Fix mdb_cursor_put,mdb_cursor_del EACCES description
* Fix mdb_env_sync(MDB_RDONLY env) doc (ITS#8021)
* Clarify MDB_WRITEMAP doc (ITS#8021)
* Clarify mdb_env_open doc
* Clarify mdb_dbi_open doc

==== lokalize ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== lskat ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== libmutter0 ====
Version update (3.18.0 -> 3.18.1)
Subpackages: mutter mutter-data typelib-1_0-Meta-3_0

- Update to version 3.18.1:
+ Improve HiDPI support on wayland (bgo#755097).
+ Fix doubly-scaled cursor on XWayland HiDPI (bgo#755099).
+ Stop hiding titlebar buttons in dialogs (bgo#641630).
+ Add support for fullscreen/unfullscreen animations
(bgo#707248).
+ Misc. crash fixes: bgo#755096, bgo#754979, bgo#755490,
bgo#754357, bgo#745785, bgo#756642.
+ Misc. bug fixes: bgo#743339, bgo#752047, bgo#756074,
bgo#756649.
- Drop wayland-Dont-pre-multiply-root-cursor-sizes.patch and
wayland-Dont-scale-XWayland-pointer-cursor-sprites.patch: Fixed
upstream.

==== gnome-shell-search-provider-nautilus ====
Version update (3.18.0 -> 3.18.1)
Subpackages: libnautilus-extension1 nautilus

- Update to version 3.18.1:
+ Multiple crash fixes.
+ Use GtkPlacesSidebar hints to improve drag and drop experience.
+ Fix remote filesystem check for google drive.
+ Fix properties not being available on some file systems.
+ Fix not being able to trash on some file systems.
+ Fix calculation of operations button that was not showing soon
enough in big operations.
+ Get filesystem type asynchronously, so the view is never
frozen.
+ Make the delete shortcut also work for delete permanently on
filesystem that does not support trash.
+ Updated translations.

==== nfs-client ====
Subpackages: nfs-doc nfs-kernel-server

- nfs-utils_env.sh: honour RPC_PIPEFS_DIR setting.
It is currently ignored due to a logic error.
(bsc#947852)

==== notification-daemon ====
Version update (3.18.0 -> 3.18.1)

- Update to version 3.18.1:
+ Fix empty body text with invalid pango markup.
+ Updated translations.

==== okteta ====
Version update (15.08.1 -> 15.08.2)
Subpackages: okteta-devel

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== libonig2 ====
Version update (5.9.5 -> 5.9.6)

- update version 5.9.6
* [impl] add onigenc_end_unicode().
* [impl] add onig_add_end_call().

==== libvmtools0 ====
Subpackages: open-vm-tools open-vm-tools-desktop

- Remove vgauth requirements from vmtoolsd.service file if vgauth
is not enabled.
- Remove gcc4.7 requirement for older environments.

==== libopenjp2-7 ====

- Re-add baselibs.conf, needed by poppler and leptonica

==== openldap2 ====

- Remove OpenLDAP 2.3 code and patches from build source.
Compatibility libraries for OpenLDAP 2.3 are built in package:
compat-libldap-2_3-0
Removed source files:
openldap-2.3.37-liblber-length-decoding.dif
openldap-2.3.37-libldap-ntlm.diff
openldap-2.3.37-libldap-ssl.dif
openldap-2.3.37-libldap-sasl-max-buff-size.dif
openldap-2.3.37-libldap-tls_chkhost-its6239.dif
openldap-2.3.37-libldap-gethostbyname_r.dif
openldap-2.3.37-libldap-suid.diff
openldap-2.3.37.dif
openldap-2.3.37-libldap-ld_defconn-ldap_free_connection.dif
openldap-2.3.37-libldap-ldapi_url.dif
openldap-2.3.37.tgz
openldap-2.3.37-libldap-utf8-ADcanonical.dif
README.update
check-build.sh

==== libldap-2_4-2 ====
Subpackages: libldap-2_4-2-32bit openldap2-client openldap2-devel

- Remove OpenLDAP 2.3 code and patches from build source.
Compatibility libraries for OpenLDAP 2.3 are built in package:
compat-libldap-2_3-0
Removed source files:
openldap-2.3.37-liblber-length-decoding.dif
openldap-2.3.37-libldap-ntlm.diff
openldap-2.3.37-libldap-ssl.dif
openldap-2.3.37-libldap-sasl-max-buff-size.dif
openldap-2.3.37-libldap-tls_chkhost-its6239.dif
openldap-2.3.37-libldap-gethostbyname_r.dif
openldap-2.3.37-libldap-suid.diff
openldap-2.3.37.dif
openldap-2.3.37-libldap-ld_defconn-ldap_free_connection.dif
openldap-2.3.37-libldap-ldapi_url.dif
openldap-2.3.37.tgz
openldap-2.3.37-libldap-utf8-ADcanonical.dif
README.update
check-build.sh

==== orca ====
Version update (3.18.0 -> 3.18.1)

- Update to version 3.18.1:
+ Web:
- Improve presentation of canvas elements which lack fallback
content.
- Fix for Orca filtering out text elements which have no size
due to authoring.
- Fix for Orca not doing SayAll on load when the focused object
is the document frame.
- Workaround several issues which was causing the caret to get
"stuck".
- Add another fallback "guess" to the label inference code for
fields in poorly-authored forms.
- Present Firefox "door hanger" alerts.
- Filter out selection event spam from browser chrome
autocompletes.
- Prefer name over label when generating labelOrName (W3C
compliance).
- Ensure we present aria-roledescription for non-focusable
landmarks.
- Include object role in the list of landmarks dialog.
- Don't treat objects with ROLE_LABEL as an ancestor (causes
double presentation of widget name).
- Process DOM changes more efficiently for performance.
+ Updated translations.

==== p7zip ====
Version update (9.38.1 -> 15.09)

- Update to version 15.09
* Based on 7-zip 15.09 release
* 7-Zip now can extract ext2 and multivolume VMDK images.
* 7-Zip now can extract ext3 and ext4 (Linux file system) images.
* 7-Zip now can extract GPT images and single file QCOW2, VMDK, VDI images.
* 7-Zip now can extract solid WIM archives with LZMS compression.
* 7-Zip now can extract RAR5 archives.
* 7-Zip now doesn't sort files by type while adding to solid 7z archive.
new -mqs switch to sort files by type while adding to solid 7z archive.
* 7-Zip now can create 7z, xz and zip archives with 1536 MB dictionary for
LZMA/LZMA2.
* 7-Zip now can extract .zipx (WinZip) archives that use xz compression.
- Refresh p7zip-CVE-2015-1038.patch

==== libpango-1_0-0 ====
Version update (1.38.0 -> 1.38.1)
Subpackages: libpango-1_0-0-32bit pango-devel typelib-1_0-Pango-1_0

- Update to version 1.38.1:
+ Require Harfbuzz 0.9.30.
+ Fix make check with --enable-debug=no.
+ Win32 build fixes.

==== parley ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== patterns-openSUSE-apparmor ====
Subpackages: patterns-openSUSE-apparmor_opt patterns-openSUSE-base
patterns-openSUSE-books patterns-openSUSE-console patterns-openSUSE-devel_C_C++
patterns-openSUSE-devel_basis patterns-openSUSE-devel_gnome
patterns-openSUSE-devel_ide patterns-openSUSE-devel_java
patterns-openSUSE-devel_kde patterns-openSUSE-devel_kde_frameworks
patterns-openSUSE-devel_kernel patterns-openSUSE-devel_perl
patterns-openSUSE-devel_python patterns-openSUSE-devel_qt4
patterns-openSUSE-devel_qt5 patterns-openSUSE-devel_rpm_build
patterns-openSUSE-devel_ruby patterns-openSUSE-devel_web
patterns-openSUSE-dhcp_dns_server patterns-openSUSE-directory_server
patterns-openSUSE-enhanced_base patterns-openSUSE-enhanced_base_opt
patterns-openSUSE-file_server patterns-openSUSE-fonts
patterns-openSUSE-fonts_opt patterns-openSUSE-games
patterns-openSUSE-gateway_server patterns-openSUSE-gnome
patterns-openSUSE-gnome_admin patterns-openSUSE-gnome_basis
patterns-openSUSE-gnome_basis_opt patterns-openSUSE-gnome_games patte
rns-openSUSE-gnome_ide patterns-openSUSE-gnome_imaging
patterns-openSUSE-gnome_imaging_opt patterns-openSUSE-gnome_internet
patterns-openSUSE-gnome_laptop patterns-openSUSE-gnome_multimedia
patterns-openSUSE-gnome_multimedia_opt patterns-openSUSE-gnome_office
patterns-openSUSE-gnome_office_opt patterns-openSUSE-gnome_utilities
patterns-openSUSE-gnome_yast patterns-openSUSE-imaging
patterns-openSUSE-imaging_opt patterns-openSUSE-kde
patterns-openSUSE-kde_edutainment patterns-openSUSE-kde_games
patterns-openSUSE-kde_ide patterns-openSUSE-kde_imaging
patterns-openSUSE-kde_internet patterns-openSUSE-kde_multimedia
patterns-openSUSE-kde_office patterns-openSUSE-kde_plasma
patterns-openSUSE-kde_telepathy patterns-openSUSE-kde_utilities
patterns-openSUSE-kde_utilities_opt patterns-openSUSE-kde_yast
patterns-openSUSE-kvm_server patterns-openSUSE-lamp_server
patterns-openSUSE-laptop patterns-openSUSE-lxde patterns-openSUSE-lxde_laptop
patterns-openSUSE-lxde_office patterns-openSUSE-mail_serv
er patterns-openSUSE-minimal_base patterns-openSUSE-minimal_base-conflicts
patterns-openSUSE-misc_server patterns-openSUSE-multimedia
patterns-openSUSE-multimedia_opt patterns-openSUSE-network_admin
patterns-openSUSE-non_oss patterns-openSUSE-non_oss_opt
patterns-openSUSE-office patterns-openSUSE-office_opt
patterns-openSUSE-print_server patterns-openSUSE-remote_desktop
patterns-openSUSE-rest_dvd patterns-openSUSE-sw_management
patterns-openSUSE-sw_management_gnome patterns-openSUSE-sw_management_kde
patterns-openSUSE-tabletpc patterns-openSUSE-technical_writing
patterns-openSUSE-x11 patterns-openSUSE-x11_opt patterns-openSUSE-x11_yast
patterns-openSUSE-xen_server patterns-openSUSE-xfce
patterns-openSUSE-xfce_basis patterns-openSUSE-xfce_laptop
patterns-openSUSE-xfce_office patterns-openSUSE-yast2_basis
patterns-openSUSE-yast2_install_wf

- Remove flash from patterns
- Hard-require very basic parts of MATE in mate_basis pattern.
- Recommend mate-tweak and hexchat (instead of xchat) in mate pattern.
- kde_plasma now require plasma5-pk-updates package
- Remove apper recommends in kde pattern

==== perl-BSD-Resource ====
Version update (1.2907 -> 1.2908)

- updated to 1.2908
see /usr/share/doc/packages/perl-BSD-Resource/ChangeLog
- fix license - it's not apache

==== perl-Config-General ====
Version update (2.58 -> 2.60)

- updated to 2.60
see /usr/share/doc/packages/perl-Config-General/Changelog
2.60 - fix rt.cpan.org#107929: added missing test config.
2.59 - fix rt.cpan.org#107108 by adding support for IncludeOptional.
- clarified documentation on StoreDelimiter.
2.58 - bump version

==== perl-DBD-mysql ====
Version update (4.032 -> 4.033)

- updated to 4.033
see /usr/share/doc/packages/perl-DBD-mysql/ChangeLog
2015-10-26 Patrick Galbraith, Michiel Beijen, DBI/DBD community (4.033)
* Full-release to include 03.
2015-10-25 Patrick Galbraith, Michiel Beijen, DBI/DBD community (4.032_03)
* Use mysql_get_option to read net_buffer_length and mysql_get_parameter
where available, needed for MySQL 5.7.9. Patch from berntm @ Oracle.
https://github.com/perl5-dbi/DBD-mysql/pull/42
* Fix mysql_conn_attrs test when run against MySQL 5.1 server.
* Fix for memory leak to $sth->{ParamValues} , RT83051
https://rt.cpan.org/Public/Bug/Display.html?id=83051
* Fixes for running test suite on MySQL 5.7.
* Fix running test suite with InnoDB disabled, reported by bor.

==== perl-DateTime-TimeZone ====
Version update (1.93 -> 1.94)

- updated to 1.94
see /usr/share/doc/packages/perl-DateTime-TimeZone/Changes
1.94 2015-10-21
- This release is based on version 2015g of the Olson database. This release
includes contemporary changes for Turkey, Norfolk, Fiji, and Fort Nelson.

==== perl-PadWalker ====
Version update (2.1 -> 2.2)

- updated to 2.2
see /usr/share/doc/packages/perl-PadWalker/Changes
2.2 Fri 23 Oct 2015 17:55:31 BST
- Convert to PERL_NO_GET_CONTEXT
https://github.com/robinhouston/PadWalker/pull/2

==== pinentry ====
Subpackages: pinentry-gtk2 pinentry-qt4

- add pinentry-qt4-fix-qstring-conversion.patch (bsc#951307)

==== libpixman-1-0 ====
Version update (0.33.2 -> 0.33.4)
Subpackages: libpixman-1-0-32bit libpixman-1-0-devel

- Update to version 0.33.4:
+ Important security fix to prevent stack buffer overflow.
+ POWER: New fast-paths and optimizations to existing fast-paths.
+ ARMv6: New fast-path.
+ Tests: New cover and fence-image-self tests.
+ Remove redundant corrections in various calculations for
COVER-CLIP and COVER analysis.

==== plasma5-desktop ====

- Provide and Obsolete calendar and akonadi components from
kdebase4-workspace so upgrades from earlier openSUSE versions
go smoother

==== plasma5-desktop-branding-openSUSE ====
Subpackages: plasma5-workspace-branding-openSUSE

- disable kmix autostart on login by default (boo#944766)
- remove the MinimumSize preview settings in kdeglobals: the
default limit is 5 MiB upstream, it doesn't really make sense to
lower it further (boo#815232)
- Update the "Favorites" entries for dolphin and konsole in the
shipped kickoffrc, we ship the KF5 versions now (boo#946011)
- Rebase oS.diff after applying fix for boo#950799
- Show introduction to KDE
- Remove SUSE greeter for now (boo#950863#c6).

==== drkonqi5 ====
Subpackages: plasma5-workspace plasma5-workspace-devel plasma5-workspace-libs

- Make sure users have pam_unix module in place so the screenlocker
works when upgrading from openSUSE < 12.3 (boo#931296)
- Try to fix wrong image scaling in kspash (boo#950799): rb125743.patch

==== polari ====
Version update (3.18.0 -> 3.18.1)
Subpackages: typelib-1_0-Polari-1_0

- Update to version 3.18.1:
+ Don't highlight nickname matches inside words (bgo#755166).
+ Base nick highlighting and online status on "basenick"
(bgo#755133).
+ Suggest default values for new connections (bgo#709980).
+ Improve handling of channel names with capital letters
(bgo#755722).
+ Fix ellipsization in user list (bgo#755477).
+ Use paste.gnome.org as paste service (bgo#726053).
+ Default to account of the currently active room in dialogs
(bgo#755771).
+ Fix room list ordering on account name changes (bgo#756319).
+ Highlight room list header on hover if sensitive (bgo#755158).
+ Misc. bug fixes (bgo#753420, bgo#756359).
+ Updated translations.

==== postgresql ====
Version update (9.3 -> 9.4)
Subpackages: postgresql-contrib postgresql-devel postgresql-docs
postgresql-server

- Move ~postgres/.bash_profile to postgresql-server to avoid a
file conflict between the versioned server packages.
- Bump version and defaultpackage to 9.4.

==== postgresql-init ====

- Move systemd related stuff and user/group creation from
postgresqlXX-server to postgresql-init.

==== libecpg6 ====
Version update (9.3.5 -> 9.4.5)
Subpackages: libpq5 libpq5-32bit

- Security and bugfix release 9.4.5:
* CVE-2015-5289, bsc#949670: json or jsonb input values
constructed from arbitrary user input can crash the PostgreSQL
server and cause a denial of service.
* CVE-2015-5288, bsc#949669: The crypt() function included with
the optional pgCrypto extension could be exploited to read a
few additional bytes of memory. No working exploit for this
issue has been developed.
- For the full release notse, see:
http://www.postgresql.org/docs/current/static/release-9-4-5.html
- Move systemd related stuff and user creation to postgresql-init.
- Remove some obsolete %suse_version conditionals
- Adjust build time dependencies.
- Fix some more rpmlint warnings.
- Relax dependency on libpq to major version.
- Make sure that plpgsql.h gets installed, because pldebugger
needs it.
- Move ~postgres/.bash_profile to postgresql-server to avoid a
file conflict between the versioned server packages.
- Bring PostgreSQL 9.4 to SLE12 (fate#319049).
- Switch from ossp-uuid to libuuid from e2fsprogs.
- Re-enable running the test suite during build.
- Bugfix release 9.4.4:
* Fix possible failure to recover from an inconsistent database
state.
* Fix rare failure to invalidate relation cache init file.
* Avoid deadlock between incoming sessions and CREATE/DROP
DATABASE.
* Improve planner's cost estimates for semi-joins and anti-joins
with inner indexscans
- Bugfix release 9.4.3:
* Avoid failures while fsync'ing data directory during crash
restart.
* Fix pg_get_functiondef() to show functions' LEAKPROOF property,
if set.
* Fix pushJsonbValue() to unpack jbvBinary objects.
- Security and bugfix release 9.4.2:
* CVE-2015-3165, bsc#931972: Avoid possible crash when client
disconnects just before the authentication timeout expires.
* CVE-2015-3166, bsc#931973: Consistently check for failure of
the *printf() family of functions.
* CVE-2015-3167, bsc#931974: In contrib/pgcrypto, uniformly
report decryption failures as "Wrong key or corrupt data".
* Protect against wraparound of multixact member IDs.
- For the full release notse, see:
http://www.postgresql.org/docs/9.4/static/release-9-4-2.html
http://www.postgresql.org/docs/9.4/static/release-9-4-3.html
http://www.postgresql.org/docs/9.4/static/release-9-4-4.html
- Align spec file with 9.3 package.
- Require systemd only where available and only for the main
package.
- bnc#888564: Move the server socket from /tmp to /var/run to avoid
problems with clients that use PrivateTmp.
postgresql-var-run-socket.patch
- Switch over to 9.4 by building the libs package and disable it
on 9.3.
- Remove obsolete patches:
* postgresql-sle10-timestamptz.patch
* postgresql-plperl.patch
- majorversion should only be 9.4
- Update to 9.4.1
* Fix buffer overruns in to_char()
* Fix buffer overrun in replacement *printf() functions
* Fix buffer overruns in contrib/pgcrypto
* Fix possible loss of frontend/backend protocol synchronization
after an error
* Fix information leak via constraint-violation error messages
* Lock down regression testing's temporary installations on Windows
* Cope with the Windows locale named "Norwegian (Bokmål)"
* Fix use-of-already-freed-memory problem in EvalPlanQual processing
* Avoid possible deadlock while trying to acquire tuple locks in
EvalPlanQual processing
* Improve performance of EXPLAIN with large range tables
* Fix jsonb Unicode escape processing, and in consequence disallow
\u0000
* Fix namespace handling in xpath()
* Fix assorted oversights in range-operator selectivity estimation
* Revert unintended reduction in maximum size of a GIN index item
* Fix query-duration memory leak during repeated GIN index rescans
* Fix possible crash when using nonzero gin_fuzzy_search_limit
* Assorted fixes for logical decoding
* Fix incorrect replay of WAL parameter change records that report
changes in the wal_log_hints setting
* Change "pgstat wait timeout" warning message to be LOG level, and
rephrase it to be more understandable
* Warn if OS X's setlocale() starts an unwanted extra thread inside
the postmaster
* Fix libpq's behavior when /etc/passwd isn't readable
* Improve consistency of parsing of psql's special variables
* Fix pg_dump to handle comments on event triggers without failing
* Allow parallel pg_dump to use --serializable-deferrable
* Prevent WAL files created by pg_basebackup -x/-X from being
archived again when the standby is promoted
* Handle unexpected query results, especially NULLs, safely in
contrib/tablefunc's connectby()
* Numerous cleanups of warnings from Coverity static code analyzer
* Allow CFLAGS from configure's environment to override
automatically-supplied CFLAGS
* Make pg_regress remove any temporary installation it created
upon successful exit
* Add CST (China Standard Time) to our lists of timezone abbreviations
* Update time zone data files to tzdata release 2015a for DST law
changes in Chile and Mexico, plus historical changes in Iceland.
- removed %pgbasedir from contrib and server package
- Update to 9.4.0
Major enhancements in PostgreSQL 9.4 include:
* Add jsonb, a more capable and efficient data type for storing JSON data
* Add new SQL command ALTER SYSTEM for changing postgresql.conf configuration
file entries
* Reduce lock strength for some ALTER TABLE commands
* Allow materialized views to be refreshed without blocking concurrent reads
* Add support for logical decoding of WAL data, to allow database changes to
be streamed out in a customizable format
* Allow background worker processes to be dynamically registered, started and
terminated
* See release notes for a full list of changes:
http://www.postgresql.org/docs/9.4/static/release-9-4.html
- Update to 9.3.4
* Fix WAL replay of locking an already-updated tuple
* Restore GIN metapages unconditionally to avoid torn-page risk
* Avoid race condition in checking transaction commit status during
receipt of a NOTIFY message
* Allow materialized views to be referenced in UPDATE and DELETE
commands
* Allow regular-expression operators to be terminated early by query
cancel requests
* Remove incorrect code that tried to allow OVERLAPS with
single-element row arguments
* Avoid getting more than AccessShareLock when de-parsing a rule
or view
* Improve performance of index endpoint probes during planning
* Use non-default selectivity estimates for value IN (list) and
value operator ANY (array) expressions when the righthand side
is a stable expression
* Remove the correct per-database statistics file during DROP DATABASE
* Fix walsender ping logic to avoid inappropriate disconnects under
continuous load
* Fix walsender's failure to shut down cleanly when client is pg_receivexlog
* See release notes for a full list of changes:
http://www.postgresql.org/docs/9.3/static/release-9-3-4.html
/usr/share/doc/packages/postgresql93/HISTORY
- make postgresql-init a buildrequire. requires(pre) are used during
build, but do not cause a rebuild trigger. But to make the depencency
visible for bootstrapping, mark it as real buildrequire
- Security and bugfix release 9.3.3:
* Shore up GRANT ... WITH ADMIN OPTION restrictions
(CVE-2014-0060, bnc#864845)
* Prevent privilege escalation via manual calls to PL validator
functions (CVE-2014-0061, bnc#864846)
* Avoid multiple name lookups during table and index DDL
(CVE-2014-0062, bnc#864847)
* Prevent buffer overrun with long datetime strings
(CVE-2014-0063, bnc#864850)
* Prevent buffer overrun due to integer overflow in size
calculations (CVE-2014-0064, bnc#864851)
* Prevent overruns of fixed-size buffers (CVE-2014-0065,
bnc#864852)
* Avoid crashing if crypt() returns NULL (CVE-2014-0066,
bnc#864853)
* Document risks of make check in the regression testing
instructions (CVE-2014-0067)
* Rework tuple freezing protocol. The logic for tuple freezing
was unable to handle some cases involving freezing of
multixact IDs, with the practical effect that shared row-level
locks might be forgotten once old enough. Fixing this required
changing the WAL record format for tuple freezing. While this
is no issue for standalone servers, when using replication it
means that STANDBY SERVERS MUST BE UPGRADED TO 9.3.3 OR LATER
BEFORE THEIR MASTERS ARE.
* For the other (many!) bug fixes, see the release notes:
http://www.postgresql.org/docs/9.3/static/release-9-3-3.html
- remove postgresql-tas-aarch64.patch: Fix build for aarch64
- Fix handling of alternatives in the file lists.
- Update to version 9.3.2:
* Fix VACUUM's tests to see whether it can update relfrozenxid
* Fix multiple bugs in MultiXactId freezing
* Fix initialization of pg_clog and og_subtrans during hot
standby startup
* Fix multiple bugs in update chain traversal
* Fix dangling-pointer problem in fast-path locking
* Fix assorted race conditions in timeout management
* Prevent intra-transaction memory leak when printing range
values
* Truncate pg_multixact contents during WAL replay
* Ensure an anti-wraparound VACUUM counts a page as scanned when
it's only verified that no tuples need freezing
* Fix full-table-vacuum request mechanism for MultiXactIds
* Fix race condition in GIN index posting tree page deletion
* Avoid flattening a subquery whose SELECT list contains a
volatile function wrapped inside a sub-SELECT
* See release notes for a full list of changes:
http://www.postgresql.org/docs/9.3/static/release-9-3-2.html
/usr/share/doc/packages/postgresql93/HISTORY
- Added option to build postgresql-devel package separatly from
postresql-libs
- Update to version 9.3.1:
* Update hstore extension with JSON functionality
* Fix memory leak when creating range indexes
* Serializable snapshot fixes
* Fix libpq SSL deadlock bug
* Fix timeline handling bugs in pg_receivexlog
* Prevent CREATE FUNCTION from checking SET variables unless
function body checking is enabled
* Remove rare inaccurate warning during vacuum of index-less tables
- Added patch to build testsuite package (bnc#829952)
- Re-enable running the regression tests during build.
- The test suite needs the timezone package.
- Updated to version 9.3:
* Add materialized views
* Make simple views auto-updatable
* Many JSON improvements, including the addition of operators
and functions to extract values from JSON data strings
* Implement SQL-standard LATERAL option for FROM-clause
subqueries and function calls
* Allow foreign data wrappers to support writes
(insers/updates/deletes) on foreign tables
* Add a Postgres foreign data wrapper contrib module
* Add support for event triggers
* Add optional ability to checksum data pages and report
corruption
* Allow a streaming replication standby to follow a timeline
switch, and faster failover
* Dramatically reduce System V shared memory requirements
* Prevent non-key-field row updates from locking foreign key
rows
* Add command-line utility pg_isready
* Add pg_xlogdump contrib program
* See release notes for a full list of changes:
http://www.postgresql.org/docs/9.3/static/release-9-3.html
/usr/share/doc/packages/postgresql93/HISTORY
- postgresql-tas-aarch64.patch: Implement TAS for aarch64
- Add Source URL, see https://en.opensuse.org/SourceUrls
- Updated to version 9.2.4 (bnc#812525):
* CVE-2013-1899: Fix insecure parsing of server command-line
switches. A connection request containing a database name that
begins with "-" could be crafted to damage or destroy files
within the server's data directory, even if the request is
eventually rejected.
* CVE-2013-1900: Reset OpenSSL randomness state in each
postmaster child process. This avoids a scenario wherein
random numbers generated by "contrib/pgcrypto" functions might
be relatively easy for another database user to guess. The
risk is only significant when the postmaster is configured
with ssl = on but most connections don't use SSL encryption.
* CVE-2013-1901: Make REPLICATION privilege checks test current
user not authenticated user. An unprivileged database user
could exploit this mistake to call pg_start_backup() or
pg_stop_backup(), thus possibly interfering with creation of
routine backups.
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.2/static/release-9-2-4.html
/usr/share/doc/packages/postgresql92/HISTORY
- Version 9.2.3 also fixes bnc#802679, CVE-2013-0255.
- Remove postgresql92-full.spec.in and use postgresql92.spec as the
master for generating postgresql92-libs.spec.
- Updated to version 9.2.3
* Prevent execution of enum_recv from SQL (Tom Lane)
* Fix multiple problems in detection of when a consistent database
state has been reached during WAL replay
* Fix detection of end-of-backup point when no actual redo
work is required
* Update minimum recovery point when truncating a relation file
* Fix recycling of WAL segments after changing recovery target
timeline
* Properly restore timeline history files from archive on
cascading standby servers
* Fix lock conflict detection on hot-standby servers
* Fix missing cancellations in hot standby mode
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.2/static/release-9-2-3.html
/usr/share/doc/packages/postgresql/HISTORY
- Use PDX license string.
- Conflicts tags don't support the != operator.
- Updated to version 9.2.2
* Fix multiple bugs associated with
CREATE/DROP INDEX CONCURRENTLY
* Correct predicate locking for DROP INDEX CONCURRENTLY
* Fix buffer locking during WAL replay
* Fix an error in WAL generation logic for GIN indexes
* Fix an error in WAL replay logic for SP-GiST indexes
* Fix incorrect detection of end-of-base-backup location
during WAL recovery
* Properly remove startup process's virtual XID lock when
promoting a hot standby server to normal running
* Avoid bogus "out-of-sequence timeline ID" errors in standby
mode
* Prevent the postmaster from launching new child processes after
it's received a shutdown signal
* Fix the syslogger process to not fail when log_rotation_age
exceeds 2^31 milliseconds
* Fix WaitLatch() to return promptly when the requested timeout
expires
* Avoid corruption of internal hash tables when out of memory
* Prevent file descriptors for dropped tables from being held
open past transaction end
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.2/static/release-9-2-2.html
/usr/share/doc/packages/postgresql/HISTORY
- Change mechanism for making postgresql??-devel exclusive
(bnc#789562).
- Resolve "have choice for libpq.so.5" by ignoring postgresql-libs.
- Get the new packaging scheme over to the postgresql92 packages
and make 9.2 the new default version.
- Bugfix release 9.1.6 (bnc#782251) to fix data corruption issues.
* Users who upgrade from a previous 9.1 release should run
REINDEX after applying this update.
See also: http://wiki.postgresql.org/wiki/20120924updaterelease
* For the full list of changes, see
http://www.postgresql.org/docs/9.1/static/release.html
- Change the base name of all PostgreSQL packages from postgresql
to postgresql91 and adopt the new packaging schema, which allows
the parallel installation of multiple PostgreSQL versions to
simplify and speedup migration.
- Move init script, sysconfig file and firewall configuration into
a new package called postgresql-init which can work with
different PostgreSQL versions.
- Security and bugfix release 9.1.5:
* Ignore SECURITY DEFINER and SET attributes for a procedural
language's call handler (CVE-2012-2655)
* Fix incorrect password transformation in "contrib/pgcrypto"'s DES
crypt() function (CVE-2012-2143)
* Prevent access to external files/URLs via "contrib/xml2"'s
xslt_process() (CVE-2012-3488)
* Prevent access to external files/URLs via XML entity references
(CVE-2012-3489)
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.1/static/release.html
/usr/share/doc/packages/postgresql/HISTORY
- Security and bugfix release 9.1.3:
* Require execute permission on the trigger function for "CREATE
TRIGGER" (CVE-2012-0866, bnc#749299).
* Remove arbitrary limitation on length of common name in SSL
certificates (CVE-2012-0867, bnc#749301).
* Convert newlines to spaces in names written in pg_dump
comments (CVE-2012-0868, bnc#749303).
* See the release notes for the rest of the changes:
http://www.postgresql.org/docs/9.1/static/release.html
/usr/share/doc/packages/postgresql/HISTORY
- This also fixes bnc#701489.
- New version 9.1.1. For detailed release notes, see:
http://www.postgresql.org/docs/9.1/static/release-9-1-1.html
- Stop using deprecated silent_mode in default config.
- postgresql-perl514.patch is no longer needed.
- Use %_smp_mflags for parallel make
- Keep the rpath when linking plperl [bnc#578053].
- Add postgresql-devel to baselibs
- Revert the postgresql-libs package split for SLE in preparation
of submitting the package to SLE11-SP1.
- Fix file name of last added patch and remove overlong comment.
- Add postgresql-9.0.4-perl514.patch: For Perl 5.14 GvCV(sv) is no
longer an lvalue and needs to be replaced by GvCV_set(sv, value)
- Bugfix release: 9.0.4:
* This update contains a critical fix to the pg_upgrade utility
which prevents significant downtime issues. Do not use
pg_upgrade without installing this update first.
http://wiki.postgresql.org/wiki/20110408pg_upgrade_fix
* change SQLSTATE for Hot Standby warnings
* prevent bgwriter hang during recovery
* prevent recursive composite type creation
* disallow dropping tables whose triggers are still pending
* allow use of "replication" as a user name
* prevent a crash during GEQO planning
* improve join plans for tables with missing statistics
* fix error with SELECT FOR UPDATE in a subselect
* close PL/python array slice memory leak
* allow SSL connections for users with no home directory
- http://www.postgresql.org/docs/9.0/static/release-9-0-4.html
- enabled --with-ossp-uuid
- Fix the fix of the fix for the successors of postgresql-libs.
- provide postgresql-libs in the specfile that actually builds
the libs package
- fix update of libs
- Move all of pgxs into the devel package to fix build of server
extensions.
- Move pg_config from -server to -devel to fix build of certain
client apps and language bindings, but using pg_config on the
client side is still considered broken, because it tells what
got linked into the server binary not what got linked into libpq.
- Remove unneeded PreReq from postgresql on postgresql-libs.
- New version: 9.0.3. For the complete release notes, see
http://www.postgresql.org/docs/9.0/static/release.html
- Build libs and devel separate from the main package.
- Build the PL subpackages as part of the main package.
- Have separate packages for libpq and libecpg.
- Generate the main and lib spec files from postgresql.spec.in.
- Fix LSB conformance of the init script (bnc#658014).
- Security and bugfix release 8.4.5 (bnc#643771):
* Use a separate interpreter for each calling SQL userid in
PL/Perl and PL/Tcl (CVE-2010-3433).
* Prevent possible crashes in pg_get_expr() by disallowing it
from being called with an argument that is not one of the
system catalog columns it's intended to be used with.
* Fix incorrect placement of placeholder evaluation.
* Fix possible duplicate scans of UNION ALL member relations.
* Fix "cannot handle unplanned sub-select" error.
* Fix mishandling of whole-row Vars that reference a view or
sub-select and appear within a nested sub-select.
* Fix mishandling of cross-type IN comparisons.
* Fix computation of ANALYZE statistics for tsvector columns.
* Improve planner's estimate of memory used by array_agg(),
string_agg(), and similar aggregate functions.
* Fix failure to mark cached plans as transient.
* Reduce PANIC to ERROR in some occasionally-reported btree
failure cases, and provide additional detail in the resulting
error messages.
* Fix incorrect search logic for partial-match queries with GIN
indexes.
* Prevent show_session_authorization() from crashing within
autovacuum processes.
* Defend against functions returning setof record where not all
the returned rows are actually of the same rowtype.
* Fix possible corruption of pending trigger event lists during
subtransaction rollback.
* Fix possible failure when hashing a pass-by-reference function
result.
* Improve merge join's handling of NULLs in the join columns.
* Take care to fsync the contents of lockfiles (both
postmaster.pid and the socket lockfile) while writing them.
* Avoid recursion while assigning XIDs to heavily-nested
subtransactions.
* Avoid holding open old WAL segments in the walwriter process.
* Fix log_line_prefix's %i escape, which could produce junk
early in backend startup.
* Prevent misinterpretation of partially-specified relation
options for TOAST tables.
* Fix inheritance count tracking in ALTER TABLE ... ADD
CONSTRAINT.
* Fix possible data corruption in ALTER TABLE ... SET TABLESPACE
when archiving is enabled.
* Allow CREATE DATABASE and ALTER DATABASE ... SET TABLESPACE to
be interrupted by query-cancel.
* Improve CREATE INDEX's checking of whether proposed index
expressions are immutable.
* Fix REASSIGN OWNED to handle operator classes and families.
* Fix possible core dump when comparing two empty tsquery values.
* Fix LIKE's handling of patterns containing % followed by _
* Re-allow input of Julian dates prior to 0001-01-01 AD.
* Fix PL/pgSQL to throw an error, not crash, if a cursor is
closed within a FOR loop that is iterating over that cursor.
* In PL/Python, defend against null pointer results from
PyCObject_AsVoidPtr and PyCObject_FromVoidPtr
* In libpq, fix full SSL certificate verification for the case
where both host and hostaddr are specified.
* Make psql recognize DISCARD ALL as a command that should not
be encased in a transaction block in autocommit-off mode.
* Fix some issues in pg_dump's handling of SQL/MED objects.
* Improve pg_dump and pg_restore's handling of non-seekable
archive files. This is important for proper functioning of
parallel restore.
* Improve parallel pg_restore's ability to cope with selective
restore (-L option).
* Fix ecpg to process data from RETURNING clauses correctly.
* Fix some memory leaks in ecpg.
* Improve contrib/dblink's handling of tables containing dropped
columns.
* Fix connection leak after "duplicate connection name" errors
in contrib/dblink.
* Fix contrib/dblink to handle connection names longer than 62
bytes correctly.
* Add hstore(text, text) function to contrib/hstore.
- Security and bugfix release 8.4.4:
* Enforce restrictions in plperl using an opmask applied to the
whole interpreter, instead of using Safe.pm. Recent
developments have convinced us that Safe.pm is too insecure to
rely on for making plperl trustable. This change removes use of
Safe.pm altogether, in favor of using a separate interpreter
with an opcode mask that is always applied. Pleasant side
effects of the change include that it is now possible to use
Perl's strict pragma in a natural way in plperl, and that
Perl's $a and $b variables work as expected in sort routines,
and that function compilation is significantly
faster. (CVE-2010-1169)
* Prevent PL/Tcl from executing untrustworthy code from
pltcl_modules. PL/Tcl's feature for autoloading Tcl code from
a database table could be exploited for trojan-horse attacks,
because there was no restriction on who could create or insert
into that table. This change disables the feature unless
pltcl_modules is owned by a superuser. (However, the
permissions on the table are not checked, so installations that
really need a less-than-secure modules table can still grant
suitable privileges to trusted non-superusers.) Also, prevent
loading code into the unrestricted "normal" Tcl interpreter
unless we are really going to execute a pltclu
function. (CVE-2010-1170)
* Fix data corruption during WAL replay of ALTER ... SET
TABLESPACE. When archive_mode is on, ALTER ... SET TABLESPACE
generates a WAL record whose replay logic was incorrect. It
could write the data to the wrong place, leading to
possibly-unrecoverable data corruption. Data corruption would
be observed on standby slaves, and could occur on the master as
well if a database crash and recovery occurred after committing
the ALTER and before the next checkpoint.
* Fix possible crash if a cache reset message is received during
rebuild of a relcache entry. This error was introduced in 8.4.3
while fixing a related failure.
* Apply per-function GUC settings while running the language
validator for the function.
* This avoids failures if the function's code is invalid without
the setting; an example is that SQL functions may not parse if
the search_path is not correct.
* Do constraint exclusion for inherited UPDATE and DELETE target
tables when constraint_exclusion = partition. Due to an
oversight, this setting previously only caused constraint
exclusion to be checked in SELECT commands.
* Do not allow an unprivileged user to reset superuser-only
parameter settings. Previously, if an unprivileged user ran
ALTER USER ... RESET ALL for himself, or ALTER DATABASE
... RESET ALL for a database he owns, this would remove all
special parameter settings for the user or database, even ones
that are only supposed to be changeable by a superuser. Now,
the ALTER will only remove the parameters that the user has
permission to change.
* Avoid possible crash during backend shutdown if shutdown occurs
when a CONTEXT addition would be made to log entries. In some
cases the context-printing function would fail because the
current transaction had already been rolled back when it came
time to print a log message.
* Fix erroneous handling of %r parameter in recovery_end_command.
The value always came out zero.
* Ensure the archiver process responds to changes in
archive_command as soon as possible.
* Fix pl/pgsql's CASE statement to not fail when the case
expression is a query that returns no rows.
* Update pl/perl's ppport.h for modern Perl versions.
* Fix assorted memory leaks in pl/python.
* Handle empty-string connect parameters properly in ecpg.
* Prevent infinite recursion in psql when expanding a variable
that refers to itself.
* Fix psql's \copy to not add spaces around a dot within \copy
(select ...). Addition of spaces around the decimal point in a
numeric literal would result in a syntax error.
* Avoid formatting failure in psql when running in a locale
context that doesn't match the client_encoding.
* Fix unnecessary "GIN indexes do not support whole-index scans"
errors for unsatisfiable queries using contrib/intarray
operators.
* Ensure that contrib/pgstattuple functions respond to cancel
interrupts promptly.
* Make server startup deal properly with the case that shmget()
returns EINVAL for an existing shared memory segment.
This behavior has been observed on BSD-derived kernels
including OS X. It resulted in an entirely-misleading startup
failure complaining that the shared memory request size was too
large.
- Use %configure to pick up the default directories (bnc#600616).
- Security and bugfix release 8.4.3.
- Disable GSSAPI, XML, kerberos and make check in OBS for SLES9.
- Fix build for SLES9
- Fix package descriptions.
- Security and bugfix release 8.4.2:
* CVE-2009-4136: Protect against indirect security threats
caused by index functions changing session-local state. This
change prevents allegedly-immutable index functions from
possibly subverting a superuser's session.
* CVE-2009-4034: Reject SSL certificates containing an embedded
null byte in the common name (CN) field. This prevents
unintended matching of a certificate to a server or client
name during SSL validation.
* Fix hash index corruption. The 8.4 change that made hash
indexes keep entries sorted by hash value failed to update the
bucket splitting and compaction routines to preserve the
ordering. So application of either of those operations could
lead to permanent corruption of an index, in the sense that
searches might fail to find entries that are present. To deal
with this, it is recommended to REINDEX any hash indexes you
may have after installing this update.
* Fix possible crash during backend-startup-time cache
initialization
* Avoid crash on empty thesaurus dictionary
* Prevent signals from interrupting VACUUM at unsafe times. This
fix prevents a PANIC if a VACUUM FULL is cancelled after it's
already committed its tuple movements, as well as transient
errors if a plain VACUUM is interrupted after having truncated
the table.
* Fix possible crash due to integer overflow in hash table size
calculation. This could occur with extremely large planner
estimates for the size of a hashjoin's result.
* Fix crash if a DROP is attempted on an internally-dependent
object.
* Fix very rare crash in inet/cidr comparisons.
* Ensure that shared tuple-level locks held by prepared
transactions are not ignored.
* Fix premature drop of temporary files used for a cursor that is
accessed within a subtransaction.
* Fix memory leak in syslogger process when rotating to a new CSV
logfile.
* Fix memory leak in postmaster when re-parsing "pg_hba.conf".
* Make FOR UPDATE/SHARE in the primary query not propagate into
WITH queries.
* Fix bug with a WITH RECURSIVE query immediately inside another
one.
* Fix concurrency bug in hash indexes. Concurrent insertions
could cause index scans to transiently report wrong results.
* Fix incorrect logic for GiST index page splits, when the split
depends on a non-first column of the index.
* Fix wrong search results for a multi-column GIN index with
fastupdate enabled.
* Fix bugs in WAL entry creation for GIN indexes. These bugs were
masked when full_page_writes was on, but with it off a WAL
replay failure was certain if a crash occurred before the next
checkpoint.
* Don't error out if recycling or removing an old WAL file fails
at the end of checkpoint. It's better to treat the problem as
non-fatal and allow the checkpoint to complete. Future
checkpoints will retry the removal. Such problems are not
expected in normal operation, but have been seen to be caused
by misdesigned Windows anti-virus and backup software.
* Ensure WAL files aren't repeatedly archived on Windows. This is
another symptom that could happen if some other process
interfered with deletion of a no-longer-needed file.
* Fix PAM password processing to be more robust. The previous
code is known to fail with the combination of the Linux
pam_krb5 PAM module with Microsoft Active Directory as the
domain controller. It might have problems elsewhere too, since
it was making unjustified assumptions about what arguments the
PAM stack would pass to it.
* Raise the maximum authentication token (Kerberos ticket) size
in GSSAPI and SSPI authentication methods. While the old
2000-byte limit was more than enough for Unix Kerberos
implementations, tickets issued by Windows Domain Controllers
can be much larger.
* Ensure that domain constraints are enforced in constructs like
ARRAY[...]::domain, where the domain is over an array type.
* Fix foreign-key logic for some cases involving composite-type
columns as foreign keys.
* Ensure that a cursor's snapshot is not modified after it is
created. This could lead to a cursor delivering wrong results
if later operations in the same transaction modify the data the
cursor is supposed to return.
* Fix CREATE TABLE to properly merge default expressions coming
from different inheritance parent tables. This used to work but
was broken in 8.4.
* Re-enable collection of access statistics for sequences. This
used to work but was broken in 8.3.
* Fix processing of ownership dependencies during CREATE OR REPLACE
FUNCTION.
* Fix incorrect handling of WHERE "x"="x" conditions. In some cases
these could get ignored as redundant, but they aren't -- they're
equivalent to "x" IS NOT NULL.
* Fix incorrect plan construction when using hash aggregation to
implement DISTINCT for textually identical volatile
expressions.
* Fix Assert failure for a volatile SELECT DISTINCT ON expression.
* Fix ts_stat() to not fail on an empty tsvector value.
* Make text search parser accept underscores in XML attributes.
* Fix encoding handling in xml binary input. If the XML header
doesn't specify an encoding, we now assume UTF-8 by default;
the previous handling was inconsistent.
* Fix bug with calling plperl from plperlu or vice versa. An
error exit from the inner function could result in crashes due
to failure to re-select the correct Perl interpreter for the
outer function.
* Fix session-lifespan memory leak when a PL/Perl function is
redefined.
* Ensure that Perl arrays are properly converted to PostgreSQL
arrays when returned by a set-returning PL/Perl function. This
worked correctly already for non-set-returning functions.
* Fix rare crash in exception processing in PL/Python.
* Fix ecpg problem with comments in DECLARE CURSOR statements.
* Fix ecpg to not treat recently-added keywords as reserved
words. This affected the keywords CALLED, CATALOG, DEFINER,
ENUM, FOLLOWING, INVOKER, OPTIONS, PARTITION, PRECEDING, RANGE,
SECURITY, SERVER, UNBOUNDED, and WRAPPER.
* Re-allow regular expression special characters in psql's \df
function name parameter.
* In "contrib/pg_standby", disable triggering failover with a
signal on Windows. This never did anything useful, because
Windows doesn't have Unix-style signals, but recent changes
made it actually crash.
* Put FREEZE and VERBOSE options in the right order in the VACUUM
command that "contrib/vacuumdb" produces.
* Fix possible leak of connections when "contrib/dblink"
encounters an error.
* Ensure psql's flex module is compiled with the correct system
header definitions. This fixes build failures on platforms
where --enable-largefile causes incompatible changes in the
generated code.
* Make the postmaster ignore any application_name parameter in
connection request packets, to improve compatibility with
future libpq versions.
* Update the timezone abbreviation files to match current reality
This includes adding IDT to the default timezone abbreviation
set.
- package documentation as noarch
- add baselibs.conf as a source
- use find_lang to package language files correctly
- Security and bugfix release 8.4.1:
* Fix WAL page header initialization at the end of archive
recovery. This could lead to failure to process the WAL in a
subsequent archive recovery.
* Fix "cannot make new WAL entries during recovery" error.
* Fix problem that could make expired rows visible after a crash.
This bug involved a page status bit potentially not being set
correctly after a server crash.
* Disallow RESET ROLE and RESET SESSION AUTHORIZATION inside
security-definer functions. This covers a case that was missed
in the previous patch that disallowed SET ROLE and SET SESSION
AUTHORIZATION inside security-definer functions.
(See CVE-2007-6600)
* Make LOAD of an already-loaded loadable module into a no-op.
* Formerly, LOAD would attempt to unload and re-load the module,
but this is unsafe and not all that useful.
* Make window function PARTITION BY and ORDER BY items always be
interpreted as simple expressions. In 8.4.0 these lists were
parsed following the rules used for top-level GROUP BY and
ORDER BY lists. But this was not correct per the SQL standard,
and it led to possible circularity.
* Fix several errors in planning of semi-joins. These led to
wrong query results in some cases where IN or EXISTS was used
together with another join.
* Fix handling of whole-row references to subqueries that are
within an outer join. An example is SELECT COUNT(ss.*) FROM
... LEFT JOIN (SELECT ...) ss ON .... Here, ss.* would be
treated as ROW(NULL,NULL,...) for null-extended join rows,
which is not the same as a simple NULL. Now it is treated as a
simple NULL.
* Fix Windows shared-memory allocation code. This bug led to the
often-reported "could not reattach to shared memory" error
message.
* Fix locale handling with plperl.
This bug could cause the server's locale setting to change when
a plperl function is called, leading to data corruption.
* Fix handling of reloptions to ensure setting one option doesn't
force default values for others.
* Ensure that a "fast shutdown" request will forcibly terminate
open sessions, even if a "smart shutdown" was already in
progress.
* Avoid memory leak for array_agg() in GROUP BY queries.
* Treat to_char(..., 'TH') as an uppercase ordinal suffix with
'HH'/'HH12'. It was previously handled as 'th' (lowercase).
* Include the fractional part in the result of EXTRACT(second)
and EXTRACT(milliseconds) for time and time with time zone
inputs.
This has always worked for floating-point datetime
configurations, but was broken in the integer datetime code.
* Fix overflow for INTERVAL 'x ms' when x is more than 2 million
and integer datetimes are in use.
* Improve performance when processing toasted values in index
scans. This is particularly useful for PostGIS.
* Fix a typo that disabled commit_delay.
* Output early-startup messages to postmaster.log if the server
is started in silent mode. Previously such error messages were
discarded, leading to difficulty in debugging.
* Remove translated FAQs. They are now on the wiki. The main FAQ
was moved to the wiki some time ago.
* Fix pg_ctl to not go into an infinite loop if postgresql.conf
is empty.
* Fix several errors in pg_dump's --binary-upgrade mode.
* pg_dump --binary-upgrade is used by pg_migrator.
* Fix contrib/xml2's xslt_process() to properly handle the
maximum number of parameters (twenty).
* Improve robustness of libpq's code to recover from errors
during COPY FROM STDIN.
* Avoid including conflicting readline and editline header files
when both libraries are installed.
* Work around gcc bug that causes "floating-point exception"
instead of "division by zero" on some platforms.
- postgresql-8.4.0-sle10-timestamptz.patch added, and applied
_only_ on SLE10. It fixes a build failure due to a test case that
seems to be confused by daylight saving time in the time zone
that the test expects its result (PDT vs. PST). Since this
failure happened only on SLE10, I assume that the test case isn't
broken, and some peculiarity on that (rather old now) platform is
to blame (possibly too old timezone files). Also, the testcase is
checking correctness when converting timezones > 32 bit, which
actually seems to work.
- replace "ident sameuser" with "ident" as auth method for the
initdb call in the init script, because the former doesn't work
with PostgreSQL 8.4. With the generated pg_hba.conf, PostgreSQL
failed to start. Added note to the upgrade READMEs. [bnc#522375]
- New major release: 8.4.0
- Improvements include:
* Windowing Functions
* Common Table Expressions and Recursive Queries
* Default and variadic parameters for functions
* Parallel Restore
* Column Permissions
* Per-database locale settings
* Improved hash indexes
* Improved join performance for EXISTS and NOT EXISTS queries
* Easier-to-use Warm Standby
* Automatic sizing of the Free Space Map
* Visibility Map (greatly reduces vacuum overhead for
slowly-changing tables)
* Version-aware psql (backslash commands work against older
servers)
* Support SSL certificates for user authentication
* Per-function runtime statistics
* Easy editing of functions in psql
* New contrib modules: pg_stat_statements, auto_explain, citext,
btree_gin
- Remove dependency on local posixrules from horology test.
- Security release 8.3.7
* Fixes a vulnerability that allowed remote authenticated
users to cause a denial of service (stack consumption)
via mismatched encoding conversion requests.
* Details of the other bugfixes contained in this and
previous releases can be found here:
http://www.postgresql.org/docs/8.3/static/release.html
/usr/share/doc/packages/postgresql/HISTORY
- Users of GiST indexes should "REINDEX" them after installing
this update.
- Re-added libpgport.a to the devel package, as some apps require
it, although it is meant to be internal to the PostgreSQL
backend.
- Fix removal of leftover files on database startup (bnc#473644).

==== kde4-l10n-devel ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== libpulse-devel ====
Subpackages: libpulse-mainloop-glib0 libpulse0 libpulse0-32bit pulseaudio
pulseaudio-bash-completion pulseaudio-module-bluetooth pulseaudio-module-gconf
pulseaudio-module-jack pulseaudio-module-lirc pulseaudio-module-x11
pulseaudio-module-zeroconf pulseaudio-utils

- Fix another alsa-mixer path for dock line out jack (boo#948979):
0003-alsa-mixer-Add-Dock-Line-Out-jack-handling-to-analog.patch
- Fix the order of ports updates (boo#948979):
0004-module-alsa-card-Report-available-ports-before-unava.patch

==== python-gobject ====
Version update (3.18.0 -> 3.18.2)
Subpackages: python-gobject-cairo python-gobject-devel

- Update to version 3.18.2:
+ Reroll of tarball to correct the previous one.
- Changes from version 3.18.1:
+ Fix Gdk.rectangle_intersect/rectangle_union missing with GTK+
3.18 (bgo#756364).
+ pep8: ignore new errors reported by pep8 1.6.
+ Don't emit require_version warning if namespace was loaded
previously using g_irepository_require (bgo#754491).
- Explicitly define python build version.
Fixes incorrect autodetection in some situations
(such as devel:languages:python3 right now).

==== python-ldap ====
Version update (2.4.21 -> 2.4.22)

- Update to upstream release 2.4.22

==== python3-cairo ====

- Add pycairo-1.10.0-80_fix-pickle.patch and
pycairo-1.10.0-81_pickling-again.patch
These fix pickling issues in the bundled waf buildsystem on
python 3.5.
These patches are being used in various other distros,
including gentoo, debian, abd ubuntu.
See:
https://bugs.freedesktop.org/show_bug.cgi?id=91561

https://gitweb.gentoo.org/repo/gentoo.git/tree/dev-python/pycairo/files/pycairo-1.10.0-80_fix-pickle.patch

https://gitweb.gentoo.org/repo/gentoo.git/tree/dev-python/pycairo/files/pycairo-1.10.0-81_pickling-again.patch
- Reformat waf-py34.patch
- Improve waf patching process

==== python3-gobject ====
Version update (3.18.0 -> 3.18.2)
Subpackages: python3-gobject-cairo

- Update to version 3.18.2:
+ Reroll of tarball to correct the previous one.
- Changes from version 3.18.1:
+ Fix Gdk.rectangle_intersect/rectangle_union missing with GTK+
3.18 (bgo#756364).
+ pep8: ignore new errors reported by pep8 1.6.
+ Don't emit require_version warning if namespace was loaded
previously using g_irepository_require (bgo#754491).
- Explicitly define python build version.
Fixes incorrect autodetection in some situations
(such as devel:languages:python3 right now).

==== python3-pip ====

- Disable tests, the test directory is not in the tarball

==== python3-requests ====
Version update (2.7.0 -> 2.8.1)

- Update to 2.8.1
* Update certificate bundle to match certifi 2015.9.6.2?s weak
certificate bundle.
* Fix a bug in 2.8.0 where requests would raise ConnectTimeout
instead of ConnectionError
* When using the PreparedRequest flow, requests will now
correctly respect the json parameter. Broken in 2.8.0.
When using the PreparedRequest flow, requests will now
correctly handle a Unicode-string method name on Python 2.
Broken in 2.8.0.
- Rebase requests-do-not-use-bundle.patch
- Disable tests. They fail due to a lack of network access.
- Use (rebased) fix from Ludwig Nussel for no-default-cacert.patch
(do not hardcode a ca cert location).
- Only indicate Apache2 license: no other licenses are present.
- Do not apply no-default-cacert-sles.patch on openSUSE Leap 42.x.
- Fix requests-do-not-use-bundle.patch.
- Small spec cleanup.
- updated requests-do-not-use-bundle.patch
- update to version 2.8.0:
* Requests now supports per-host proxies. This allows the proxies
dictionary to have entries of the form {'<scheme>://<hostname>':
'<proxy>'}. Host-specific proxies will be used in preference to the
previously-supported scheme-specific ones, but the previous syntax
will continue to work.
* Response.raise_for_status now prints the URL that failed as part of
the exception message.
* requests.utils.get_netrc_auth now takes an raise_errors kwarg,
defaulting to False. When True, errors parsing .netrc files cause
exceptions to be thrown.
* Change to bundled projects import logic to make it easier to
unbundle requests downstream.
* Changed the default User-Agent string to avoid leaking data on
Linux: now contains only the requests version.
* The json parameter to post() and friends will now only be used if
neither data nor files are present, consistent with the
documentation.
* We now ignore empty fields in the NO_PROXY enviroment variable.
* Fixed problem where httplib.BadStatusLine would get raised if
combining stream=True with contextlib.closing.
* Prevented bugs where we would attempt to return the same connection
back to the connection pool twice when sending a Chunked body.
* Miscellaneous minor internal changes.
* Digest Auth support is now thread safe.
* Updated urllib3 to 1.12.
- Unbundle python-chardet and python-urllib3 (boo#947357)
requests-do-not-use-bundle.patch

==== python3-setuptools ====
Version update (18.3.2 -> 18.4)

- update to version 18.4:
* Issue #446: Test command now always invokes unittest, even
if no test suite is supplied.

==== python3-simplejson ====

- Don't build with python3-buildservice-tweak
The unit tests don't work properly with it.

==== rpm ====
Subpackages: rpm-32bit rpm-build rpm-devel

- %install_info_delete: only delete if package is removed
- Add nfs-blocksize-free.patch:
* Blocksize of NFS shouldn't be used directly
- Fixes bsc#894610 and bsc#829717

==== ruby2.2-rubygem-fast_gettext ====
Version update (0.9.2 -> 1.0.0)

- updated to version 1.0.0
see installed CHANGELOG
1.0.0 -- do not enforce attr_accessible unless ProtectedAttributes are loaded

==== libdcerpc-binding0 ====
Version update (4.3.0 -> 4.3.1)
Subpackages: libdcerpc-binding0-32bit libdcerpc0 libdcerpc0-32bit libgensec0
libgensec0-32bit libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0
libndr-nbt0-32bit libndr-standard0 libndr-standard0-32bit libndr0 libndr0-32bit
libnetapi0 libnetapi0-32bit libregistry0 libsamba-credentials0
libsamba-credentials0-32bit libsamba-hostconfig0 libsamba-hostconfig0-32bit
libsamba-passdb0 libsamba-passdb0-32bit libsamba-util0 libsamba-util0-32bit
libsamdb0 libsamdb0-32bit libsmbclient-devel libsmbclient-raw0
libsmbclient-raw0-32bit libsmbclient0 libsmbconf0 libsmbconf0-32bit libsmbldap0
libsmbldap0-32bit libtevent-util0 libtevent-util0-32bit libwbclient0
libwbclient0-32bit samba samba-32bit samba-client samba-client-32bit samba-doc
samba-libs samba-libs-32bit samba-winbind samba-winbind-32bit

- Require renamed python-ldb-devel and python-talloc-devel at build-time.
- Requires python-ldb and python-talloc from the python subpackage.
- Update to 4.3.1.
+ s3: smbd: Fix our access-based enumeration on "hide unreadable" to match
Windows; (bso#10252).
+ nss_winbind: Fix hang on Solaris on big groups; (bso#10365).
+ smbd: Fix file name buflen and padding in notify repsonse; (bso#10634).
+ kerberos: Make sure we only use prompter type when available;
winbind: Fix 100% loop; (bso#11038).
+ source3/lib/msghdr.c: Fix compiling error on Solaris; (bso#11053).
+ s3:ctdbd_conn: make sure we destroy tevent_fd before closing the socket;
(bso#11316).
+ s3: smbd: Fix mkdir race condition; (bso#11486).
+ pam_winbind: Fix a segfault if initialization fails; (bso#11502).
+ s3: dfs: Fix a crash when the dfs targets are disabled; (bso#11509).
+ s4:lib/messaging: Use 'msg.lock' and 'msg.sock' for messaging related
subdirs; (bso#11515).
+ s3: smbd: Fix opening/creating :stream files on the root share directory;
(bso#11522).
+ lib/param: Fix hiding of FLAG_SYNONYM values; (bso#11526).
+ net: Fix a crash with 'net ads keytab create'; (bso#11528).
+ s3: smbd: Fix a crash in unix_convert(); (bso#11535).
+ s3: smbd: Fix NULL pointer bug introduced by previous 'raw' stream fix
(bso#11522); (bso#11535).
+ vfs_fruit: Return value of ad_pack in vfs_fruit.c; (bso#11543).
+ vfs_commit: set the fd on open before calling SMB_VFS_FSTAT; (bso#11547).
+ s3:locking: Initialize lease pointer in share_mode_traverse_fn();
(bso#11549).
+ s3:smbstatus: Add stream name to share_entry_forall(); (bso#11550).
+ s3:lib: Validate domain name in lookup_wellknown_name(); (bso#11555).
+ s3: lsa: lookup_name() logic for unqualified (no DOMAIN component) names
is incorrect; (bso#11555).
- Fix 100% CPU in winbindd when logging in with "user must change password on
next logon"; (bso#11038).

==== command-not-found ====
Version update (0.1.0+20150925 -> 0.1.0+20151023)
Subpackages: scout

- Update to version 0.1.0+20151023:
+ adapt to Dataiterator changes in libsolv-0.6.0 (boo#951977)
+ Updated translations.

==== sddm ====
Subpackages: sddm-branding-openSUSE

- Add upstream patches to fix multihead in some cases
(also fixes boo#950293):
* 0001-always-create-window-for-each-screen.patch
* 0002-screen-model-for-each-window.patch

==== signon-kwallet-extension ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== libsqlite3-0 ====
Version update (3.8.11.1 -> 3.9.1)
Subpackages: libsqlite3-0-32bit sqlite3 sqlite3-devel sqlite3-doc

- SQLite 3.9.1:
* Fix the json1 extension so that it does not recognize ASCII
form-feed as a whitespace character, in order to comply with
RFC-7159.
* Build and portability fixes.
- SQLite 3.9.0
* Add json1 extension module
* The CREATE VIEW statement now accepts an optional list of
column names following the view name.
* Added support for indexes on expressions.
* Added support for table-valued functions in the FROM clause of a
SELECT statement.
* Added support for eponymous virtual tables.
* A VIEW may now reference undefined tables and functions when
initially created. Missing tables and functions are reported
when the VIEW is used in a query.
* Added the sqlite3_value_subtype() and sqlite3_result_subtype()
interfaced (used by the json1 extension).
* The query planner is now able to use partial indexes that
contain AND-connected terms in the WHERE clause.
* The sqlite3_analyzer utility is updated to report the depth of
each btree and to show the average fanout for indexes and
WITHOUT ROWID tables.
* Enhanced the dbstat virtual table so that it can be used as a
table-valued function where the argument is the schema to be
analyzed.
* sqlite3_memory_alarm() no-op.

==== step ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== strace ====

- remove strace_ppc64le_bypass_getrandom_hang.patch
as cause of bug boo#946928 identified in builders setup

==== libtalloc2 ====
Version update (2.1.3 -> 2.1.4)
Subpackages: libtalloc2-32bit

- Add python3-talloc and python3-talloc-devel; (bsc#951911).
- Rename pytalloc to python-talloc.
- Update to 2.1.4; (bsc#951660).
+ Test that talloc magic differs between processes.
+ Increment minor version due to added talloc_test_get_magic.
+ Provide tests access to talloc_magic.
+ Test magic protection measures.

==== libtdb1 ====
Subpackages: libtdb1-32bit

- Add python3-tdb; (bsc#951911).

==== libtevent0 ====
Subpackages: libtevent0-32bit

- Add python3-tevent; (bsc#951911).
- Require python-talloc-devel instead of pytalloc-devel.

==== nautilus-totem ====
Version update (3.18.0 -> 3.18.1)
Subpackages: totem totem-plugin-zeitgeist totem-plugins

- Update to version 3.18.1:
+ Make DVD menu navigation work again.
+ Updated translations.

==== umbrello ====
Version update (15.08.1 -> 15.08.2)

- Update to KDE Applications 15.08.2
* KDE Applications 15.08.2
* https://www.kde.org/announcements/announce-applications-15.08.2.php

==== update-desktop-files ====

- go back to a specific directory list instead of all in /usr/share
(boo#904524)

==== gvim ====
Version update (7.4.889 -> 7.4.898)
Subpackages: vim vim-data

- Updated to revision 898, fixes the following problems
* Build failure when using dynamic python but not python3.
* Indentation of array initializer is wrong.
* On MS-Windows the iconv DLL may have a different name.
* C indenting is wrong below a "case (foo):"
* vimrun.exe is picky about the number of spaces before -s.
* Custom command line completion does not work for a command containing
digits.
* Editing a URL, which netrw should handle, doesn't work.
* Freeze and crash when there is a sleep in a remote command. (Karl Yngve
Lervåg)
* The 'fixendofline' option is set on with ":edit".

==== vinagre ====
Version update (3.18.0 -> 3.18.1)
Subpackages: vinagre-lang

- Update to version 3.18.1:
+ Enabled font smoothing by default in RDP plugin.
+ Accept IPv6 addresses.
+ Updated translations.
- Add vinagre-revert-font-smoothing.patch: Revert the font
smoothing as this relies on a new version of freerdp we do not
yet have in openSUSE.

==== virtualbox ====
Version update (5.0.6 -> 5.0.8)
Subpackages: virtualbox-guest-kmp-default virtualbox-guest-tools
virtualbox-guest-x11 virtualbox-host-kmp-default virtualbox-qt

- Version bump to 5.0.8 (released 2015-10-20 by Oracle)
boo#951432 CVE-2015-4813 CVE-2015-4896
This is a maintenance release. The following items were fixed and/or added:
GUI: Mac OS X: Restore green zoom button for VM windows (it was hidden in
the previous release to avoid native full-screen issues). For Yosemite and El
Capitan this button should work accordingly to the Apple HIG: Full-screen by
default, maximize if the user holds the Option key.
Serial ports: fixed wrong IRQ number for the first serial port in the ACPI
tables (5.0.6 regression; bug #14659)
API: fixed a 5.0 regression in VBoxManage setproperty defaultfrontend (bug
#14696)
VBoxManage/vbox-img: conversion to RAW images could result in a disk image
containing all zeroes
Linux hosts: several fixes for systemd integration in .deb / .rpm packages
(e.g. bug #14665). The command for recompiling the host kernel modules was
changed to /sbin/vboxconfig
Linux hosts: make host-only interfaces report operstate UP only when they
have VMs attached (bug #14526)
Mac OS X hosts: fix bpf capture and accounting of traffic on bridged and
host-only interfaces (bug #14553)
Windows guests: fixed 3D rendering issues on high resolution displays
Windows Additions: fixed problems with 3D acceleration on Windows hosts
with Intel HD graphics (bug #14670)
Linux Additions: fix service starting on Debian systems with systemd
installed but not in use (bug #14683)
- Increase memory constraint to 5000M

==== glade-catalog-vte ====
Version update (0.42.0 -> 0.42.1)
Subpackages: libvte-2_91-0 typelib-1_0-Vte-2.91 vte-devel

- Update to version 0.42.1:
+ emulation:
- Implement DECSET 1004.
- Fix comment.
+ widget:
- Fix regex matches not always being recognized.
- Fix painting the preedit text near the right margin.
+ a11y: Emit missing space character insertion.
+ Updated translations.

==== vym ====
Version update (2.4.7 -> 2.5.0)

- Version 2.5.0
- Bugfix: Update recent maps menu after loading of map
- Bugfix: Empty window with update information on startup
- Version 2.4.8

==== libjavascriptcoregtk-4_0-18 ====
Version update (2.10.0 -> 2.10.3)
Subpackages: libwebkit2gtk-4_0-37 typelib-1_0-JavaScriptCore-4_0
typelib-1_0-WebKit2-4_0 webkit2gtk-4_0-injected-bundles

- Update to version 2.10.3:
+ Fix graphics artifacts when entering/leaving Accelerated
Compositing mode.
+ Honour 'forwards' fill-mode in Multiple-keyframe and delayed
instantaneous animations.
+ Fix runtime warning when the inspector is closed.
+ Fix the build with GTK+2 plugin process disabled.
+ Gracefully handle errors when sending/receiving IPC messages
data on connection close.
+ Fix several crashes and rendering issues.
- Update to version 2.10.2:
+ Fix a regression introduced in 2.10.1 that disabled accelerated
compositing.
+ Fix build with cmake 3.4.
- Update to version 2.10.1:
+ Fix rendering of accelerated content in HiDPI screens.
+ Fix several media controls rendering issues.
+ Fix rendering of progress element with recent versions of GTK+.
+ Add and update some web inspector icons.
+ Correctly handle websites sending an invalid auth header.
+ Fix a crash when creating the UI process backing store in
Wayland.
+ Fix the build with spellchecker disabled.
+ Fix the build with touch events disabled.
+ Fix the build with OpenGL disabled.
+ Several build fixes on Mac OSX.
+ Fix several crashes and rendering issues.

==== libwicked-0-6 ====
Version update (0.6.26 -> 0.6.27)
Subpackages: wicked wicked-service

- vesion 0.6.27
- nanny: fix policy file reading and objects references (boo#916035)
- ovs: use --may-exist option in add-port (bsc#951315) commands to
avoid error messages when the port is already in the db.
- netconfig: do not refresh unrelated details in supplicants
- service: fixed wicked client and nanny dependencies (bsc#950333).
- service: restart wickedd* on dbus restart (bsc#941964)
- fsm: do not follow link-up checks on configured master devices
not involved in the current ifup operation (bsc#948423).
- client: added more comfortable "wicked test dhcp[46]" commands
executing the wickedd-dhcp[46] in their --test mode (bsc#942278)

==== wine ====
Subpackages: wine-32bit

- gcc5 is now building wine correctly in openSUSE Factory,
switch to it.

==== wireless-regdb ====
Version update (2015.09.25 -> 2015.10.13)

- Update to 2015.10.13

==== xf86-input-evdev ====
Version update (2.9.2 -> 2.10.0)

- Update to version 2.10.0
Plenty of bugfixes accumulated over time, one new option is now
available: Resolution. This enables a user to set a mouse device's
native resolution, if set the device's deltas are scaled to a
normalized 1000dpi resolution. This can be used to make
high-resolution mice less sensitive without having to actually
change the acceleration in the desktop environment. The default
for this option is 0 and no scaling is performed.

==== xf86-input-wacom ====
Version update (0.30.0 -> 0.31.0)

- Update to version 0.31.0:
+ xsetwacom: Fix regression in simple button mapping.
+ Modify wcmMaxCursorDist calculation to support non-inverted
protocol 4.

==== xkeyboard-config ====
Version update (2.15 -> 2.16)

- Rename n_suse.patch -> n_suse-ctrl-alt-bksp-terminate.patch to
reflect patch usage
- Rename disable-2xalt_2xctrl-toggle.diff ->
n_disable-2xalt_2xctrl-toggle.diff to follow X11:XOrg patch
guidelines
- Update to version 2.16
* Move apostrophe U+0027 to the first level and add U+02BC one to
ua(unicode)
* Add support for chromebooks layout
* Add missing semicolons in symbols/inet
* Undo incompatible us(dvp) layout additions
* Define a keyboard layout for the Ol Chiki script
* new layout - Russian Phonetic Czech
* Correct capitalization and naming of us(dvp) "Programmer Dvorak"
* added swap_lalt_lwin
* fixed Icelandic Dvorak
* Broken xml fixed
* Fixed mac file, use utf-8
* Added Teck keyboard
* added missing Teck file
* prerelease translation sync
* Added Finnish DAS layout
- refreshed n_suse.patch

==== xorg-x11-server ====
Version update (7.6_1.17.2 -> 7.6_1.17.4)
Subpackages: xorg-x11-server-extra xorg-x11-server-sdk

- Update to version 1.17.4:
Minor brown-bag release. The important fix here is Martin's
clientsWritable change which fixes a crash when built against
xproto 7.0.28.
- supersedes u_0001-os-make-sure-the-clientsWritable-fd_set-is-initializ.patch
- Update to version 1.17.3:
Various bugfixes across the board.  The most visible changes
include fixing GLX extension setup under Xwayland and other
non-Xorg servers (enabling core contexts in more scenarios),
and various stability fixes to glamor and the Present extension.
- supersededs the following patches:
*
u_randr_allow_rrselectinput_for_providerchange_and_resourcechange_events.patch
* u_CloseConsole-Don-t-report-FatalError-when-shutting-down.patch
- removed evdev xorg.conf.d snippet since it's meanwhile shipped with
evdev driver itself (since version 2.10.0)

==== yast2 ====
Version update (3.1.152 -> 3.1.155)
Subpackages: yast2-devel-doc

- Fixed clipped labels in Arabic on some widgets (bsc#880701).
- Fixed that also for the installation (bsc#880701#c43)
- 3.1.155
- bnc#946047
- use proper hostname / domain defaults when network is
configured by linuxrc
- 3.1.154
- Replace "Skip" with "Ignore" in the dialog that is shown when
there's a problem during packages installation (bsc#948608)
- 3.1.153

==== yast2-bootloader ====
Version update (3.1.157 -> 3.1.159)

- respect original grub2 configuration when upgrade from grub2
to grub2 (bnc#951731)
- 3.1.159
- do not modify bootloader configuration during offline upgrade
from grub2 to grub2 (bnc#950695,bnc#950162)
- 3.1.158

==== yast2-core ====
Version update (3.1.17 -> 3.1.18)
Subpackages: yast2-core-devel

- In the signal handler, log the sender PID, and if present,
run /usr/lib/YaST2/bin/signal-postmortem (bsc#935686).
- 3.1.18

==== yast2-packager ====
Version update (3.1.82 -> 3.1.83)

- fixed crash (missing nil check) at ProductLicense.rb when
displaying EULA in the firstboot workflow in a Studio image
(bsc#951210)
- 3.1.83

==== yast2-storage ====
Version update (3.1.69 -> 3.1.70)

- fixed typo in package name (efibootmgr) (bsc#950968)
- 3.1.70

==== yast2-branding-openSUSE ====
Version update (3.1.34 -> 3.1.35)

- add icons for the MATE pattern
- 3.1.33

==== yast2-vpn ====
Version update (3.1.1 -> 3.1.2)

- Fix build failure on Leap.

==== libyelp0 ====
Version update (3.18.0 -> 3.18.1)
Subpackages: yelp

- Update to version 3.18.1:
+ Updated translations.

==== zenity ====
Version update (3.18.0 -> 3.18.1.1)

- Update to version 3.18.1.1:
+ Fix compilation when webkitgtk is not installed (bgo#756756).
- Update to version 3.18.1:
+ Fixing GLib-CRITICAL messages.
+ Fixing html option being parsed to other dialogs rather then
text-info.
+ Fixing glade file.
+ Updated translations.

==== zypper ====
Version update (1.12.19 -> 1.12.22)
Subpackages: zypper-aptitude zypper-log

- Update zypper-po.tar.bz2
- Update sle-zypper-po.tar.bz2
- Update zypper-po.tar.bz2
- locks -s: show solvables repositories (bnc#949957)
- version 1.12.22
- fix spec file
- version 1.12.21
- Update sle-zypper-po.tar.bz2
- Update zypper-po.tar.bz2
- Update sle-zypper-po.tar.bz2
- Update zypper-po.tar.bz2




Removed packages:
android-tools
breeze-gtk
bundle-lang-common-nl
esound-daemon
libicu55_1
> libicu55_1-ledata
susegreeter-branding-openSUSE
liblmdb-0_9_14
postgresql93
> postgresql93-contrib
> postgresql93-docs
> postgresql93-server
postgresql93-devel
pullin-flash-player
python-xdg
pytalloc
> pytalloc-32bit
libossp-uuid16
xml-commons-jaxp-1.2-apis
> xml-commons-resolver11


Added packages:
libpackagekitqt5-0
libbalooqueryparser4
gtk2-metatheme-breeze
> gtk3-metatheme-breeze
> metatheme-breeze-common
ibus-chewing
libicu56_1
> libicu56_1-ledata
dolphin4
kfilemetadata
libbaloowidgets4
liblmdb-0_9_16
libnghttp2-14
perl-B-Utils
perl-Module-Info
plasma5-pk-updates
postgresql94
> postgresql94-contrib
> postgresql94-docs
> postgresql94-server
postgresql94-devel
pulseaudio-esound-compat
python-pyxdg
python3-chardet
python3-urllib3
python3-wheel
python-talloc
> python-talloc-32bit
xml-commons-resolver12
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages